namespace Win32.Constants
{
    using System;

    public static class ERROR
    {
        public const int ERROR_ACCESS_DENIED = 5;
        public const int ERROR_ACCESS_DISABLED_BY_POLICY = 0x4ec;
        public const int ERROR_ACCESS_DISABLED_WEBBLADE = 0x4fd;
        public const int ERROR_ACCESS_DISABLED_WEBBLADE_TAMPER = 0x4fe;
        public const int ERROR_ACCOUNT_DISABLED = 0x533;
        public const int ERROR_ACCOUNT_EXPIRED = 0x701;
        public const int ERROR_ACCOUNT_LOCKED_OUT = 0x775;
        public const int ERROR_ACCOUNT_RESTRICTION = 0x52f;
        public const int ERROR_ACTIVATION_COUNT_EXCEEDED = 0x1b93;
        public const int ERROR_ACTIVE_CONNECTIONS = 0x962;
        public const int ERROR_ADAP_HDW_ERR = 0x39;
        public const int ERROR_ADDRESS_ALREADY_ASSOCIATED = 0x4cb;
        public const int ERROR_ADDRESS_NOT_ASSOCIATED = 0x4cc;
        public const int ERROR_ALIAS_EXISTS = 0x563;
        public const int ERROR_ALL_NODES_NOT_AVAILABLE = 0x13ad;
        public const int ERROR_ALL_USER_TRUST_QUOTA_EXCEEDED = 0x78d;
        public const int ERROR_ALLOTTED_SPACE_EXCEEDED = 0x540;
        public const int ERROR_ALREADY_ASSIGNED = 0x55;
        public const int ERROR_ALREADY_EXISTS = 0xb7;
        public const int ERROR_ALREADY_FIBER = 0x500;
        public const int ERROR_ALREADY_INITIALIZED = 0x4df;
        public const int ERROR_ALREADY_REGISTERED = 0x4da;
        public const int ERROR_ALREADY_RUNNING_LKG = 0x432;
        public const int ERROR_ALREADY_THREAD = 0x501;
        public const int ERROR_ALREADY_WAITING = 0x770;
        public const int ERROR_APP_WRONG_OS = 0x47f;
        public const int ERROR_APPHELP_BLOCK = 0x4eb;
        public const int ERROR_ARENA_TRASHED = 7;
        public const int ERROR_ARITHMETIC_OVERFLOW = 0x216;
        public const int ERROR_ATOMIC_LOCKS_NOT_SUPPORTED = 0xae;
        public const int ERROR_AUTHENTICATION_FIREWALL_FAILED = 0x78f;
        public const int ERROR_AUTODATASEG_EXCEEDS_64k = 0xc7;
        public const int ERROR_BAD_ARGUMENTS = 160;
        public const int ERROR_BAD_COMMAND = 0x16;
        public const int ERROR_BAD_CONFIGURATION = 0x64a;
        public const int ERROR_BAD_DESCRIPTOR_FORMAT = 0x551;
        public const int ERROR_BAD_DEV_TYPE = 0x42;
        public const int ERROR_BAD_DEVICE = 0x4b0;
        public const int ERROR_BAD_DRIVER = 0x7d1;
        public const int ERROR_BAD_DRIVER_LEVEL = 0x77;
        public const int ERROR_BAD_ENVIRONMENT = 10;
        public const int ERROR_BAD_EXE_FORMAT = 0xc1;
        public const int ERROR_BAD_FORMAT = 11;
        public const int ERROR_BAD_IMPERSONATION_LEVEL = 0x542;
        public const int ERROR_BAD_INHERITANCE_ACL = 0x53c;
        public const int ERROR_BAD_LENGTH = 0x18;
        public const int ERROR_BAD_LOGON_SESSION_STATE = 0x555;
        public const int ERROR_BAD_NET_NAME = 0x43;
        public const int ERROR_BAD_NET_RESP = 0x3a;
        public const int ERROR_BAD_NETPATH = 0x35;
        public const int ERROR_BAD_PATHNAME = 0xa1;
        public const int ERROR_BAD_PIPE = 230;
        public const int ERROR_BAD_PROFILE = 0x4b6;
        public const int ERROR_BAD_PROVIDER = 0x4b4;
        public const int ERROR_BAD_QUERY_SYNTAX = 0x64f;
        public const int ERROR_BAD_RECOVERY_POLICY = 0x177c;
        public const int ERROR_BAD_REM_ADAP = 60;
        public const int ERROR_BAD_THREADID_ADDR = 0x9f;
        public const int ERROR_BAD_TOKEN_TYPE = 0x545;
        public const int ERROR_BAD_UNIT = 20;
        public const int ERROR_BAD_USER_PROFILE = 0x4e5;
        public const int ERROR_BAD_USERNAME = 0x89a;
        public const int ERROR_BAD_VALIDATION_CLASS = 0x544;
        public const int ERROR_BADDB = 0x3f1;
        public const int ERROR_BADKEY = 0x3f2;
        public const int ERROR_BEGINNING_OF_MEDIA = 0x44e;
        public const int ERROR_BOOT_ALREADY_ACCEPTED = 0x434;
        public const int ERROR_BROKEN_PIPE = 0x6d;
        public const int ERROR_BUFFER_OVERFLOW = 0x6f;
        public const int ERROR_BUS_RESET = 0x457;
        public const int ERROR_BUSY = 170;
        public const int ERROR_BUSY_DRIVE = 0x8e;
        public const int ERROR_CALL_NOT_IMPLEMENTED = 120;
        public const int ERROR_CALLBACK_SUPPLIED_INVALID_DATA = 0x4f9;
        public const int ERROR_CAN_NOT_COMPLETE = 0x3eb;
        public const int ERROR_CAN_NOT_DEL_LOCAL_WINS = 0xfa1;
        public const int ERROR_CANCEL_VIOLATION = 0xad;
        public const int ERROR_CANCELLED = 0x4c7;
        public const int ERROR_CANNOT_COPY = 0x10a;
        public const int ERROR_CANNOT_DETECT_DRIVER_FAILURE = 0x438;
        public const int ERROR_CANNOT_DETECT_PROCESS_ABORT = 0x439;
        public const int ERROR_CANNOT_FIND_WND_CLASS = 0x57f;
        public const int ERROR_CANNOT_IMPERSONATE = 0x558;
        public const int ERROR_CANNOT_MAKE = 0x52;
        public const int ERROR_CANNOT_OPEN_PROFILE = 0x4b5;
        public const int ERROR_CANT_ACCESS_DOMAIN_INFO = 0x547;
        public const int ERROR_CANT_ACCESS_FILE = 0x780;
        public const int ERROR_CANT_DELETE_LAST_ITEM = 0x10ef;
        public const int ERROR_CANT_DISABLE_MANDATORY = 0x51e;
        public const int ERROR_CANT_EVICT_ACTIVE_NODE = 0x1391;
        public const int ERROR_CANT_OPEN_ANONYMOUS = 0x543;
        public const int ERROR_CANT_RESOLVE_FILENAME = 0x781;
        public const int ERROR_CANTOPEN = 0x3f3;
        public const int ERROR_CANTREAD = 0x3f4;
        public const int ERROR_CANTWRITE = 0x3f5;
        public const int ERROR_CHILD_MUST_BE_VOLATILE = 0x3fd;
        public const int ERROR_CHILD_NOT_COMPLETE = 0x81;
        public const int ERROR_CHILD_WINDOW_MENU = 0x59c;
        public const int ERROR_CIRCULAR_DEPENDENCY = 0x423;
        public const int ERROR_CLASS_ALREADY_EXISTS = 0x582;
        public const int ERROR_CLASS_DOES_NOT_EXIST = 0x583;
        public const int ERROR_CLASS_HAS_WINDOWS = 0x584;
        public const int ERROR_CLEANER_CARTRIDGE_INSTALLED = 0x10f4;
        public const int ERROR_CLEANER_CARTRIDGE_SPENT = 0x10ed;
        public const int ERROR_CLEANER_SLOT_NOT_SET = 0x10ec;
        public const int ERROR_CLEANER_SLOT_SET = 0x10eb;
        public const int ERROR_CLIPBOARD_NOT_OPEN = 0x58a;
        public const int ERROR_CLIPPING_NOT_SUPPORTED = 0x7d5;
        public const int ERROR_CLUSCFG_ALREADY_COMMITTED = 0x170d;
        public const int ERROR_CLUSCFG_ROLLBACK_FAILED = 0x170e;
        public const int ERROR_CLUSCFG_SYSTEM_DISK_DRIVE_LETTER_CONFLICT = 0x170f;
        public const int ERROR_CLUSTER_CANT_CREATE_DUP_CLUSTER_NAME = 0x170c;
        public const int ERROR_CLUSTER_DATABASE_SEQMISMATCH = 0x13db;
        public const int ERROR_CLUSTER_EVICT_WITHOUT_CLEANUP = 0x1708;
        public const int ERROR_CLUSTER_GUM_NOT_LOCKER = 0x13dd;
        public const int ERROR_CLUSTER_INCOMPATIBLE_VERSIONS = 0x13d3;
        public const int ERROR_CLUSTER_INSTANCE_ID_MISMATCH = 0x1705;
        public const int ERROR_CLUSTER_INVALID_NETWORK = 0x13be;
        public const int ERROR_CLUSTER_INVALID_NETWORK_PROVIDER = 0x13b9;
        public const int ERROR_CLUSTER_INVALID_NODE = 0x13af;
        public const int ERROR_CLUSTER_INVALID_REQUEST = 0x13b8;
        public const int ERROR_CLUSTER_IPADDR_IN_USE = 0x13c1;
        public const int ERROR_CLUSTER_JOIN_ABORTED = 0x13d2;
        public const int ERROR_CLUSTER_JOIN_IN_PROGRESS = 0x13b1;
        public const int ERROR_CLUSTER_JOIN_NOT_IN_PROGRESS = 0x13bd;
        public const int ERROR_CLUSTER_LAST_INTERNAL_NETWORK = 0x13ca;
        public const int ERROR_CLUSTER_LOCAL_NODE_NOT_FOUND = 0x13b3;
        public const int ERROR_CLUSTER_MAXNUM_OF_RESOURCES_EXCEEDED = 0x13d4;
        public const int ERROR_CLUSTER_MEMBERSHIP_HALT = 0x1704;
        public const int ERROR_CLUSTER_MEMBERSHIP_INVALID_STATE = 0x1702;
        public const int ERROR_CLUSTER_MISMATCHED_COMPUTER_ACCT_NAME = 0x1711;
        public const int ERROR_CLUSTER_NETINTERFACE_EXISTS = 0x13b6;
        public const int ERROR_CLUSTER_NETINTERFACE_NOT_FOUND = 0x13b7;
        public const int ERROR_CLUSTER_NETWORK_ALREADY_OFFLINE = 0x13c8;
        public const int ERROR_CLUSTER_NETWORK_ALREADY_ONLINE = 0x13c7;
        public const int ERROR_CLUSTER_NETWORK_EXISTS = 0x13b4;
        public const int ERROR_CLUSTER_NETWORK_HAS_DEPENDENTS = 0x13cb;
        public const int ERROR_CLUSTER_NETWORK_NOT_FOUND = 0x13b5;
        public const int ERROR_CLUSTER_NETWORK_NOT_FOUND_FOR_IP = 0x1706;
        public const int ERROR_CLUSTER_NETWORK_NOT_INTERNAL = 0x13c4;
        public const int ERROR_CLUSTER_NO_RPC_PACKAGES_REGISTERED = 0x13d9;
        public const int ERROR_CLUSTER_NO_SECURITY_CONTEXT = 0x13c3;
        public const int ERROR_CLUSTER_NODE_ALREADY_DOWN = 0x13c6;
        public const int ERROR_CLUSTER_NODE_ALREADY_HAS_DFS_ROOT = 0x13e0;
        public const int ERROR_CLUSTER_NODE_ALREADY_MEMBER = 0x13c9;
        public const int ERROR_CLUSTER_NODE_ALREADY_UP = 0x13c5;
        public const int ERROR_CLUSTER_NODE_DOWN = 0x13ba;
        public const int ERROR_CLUSTER_NODE_EXISTS = 0x13b0;
        public const int ERROR_CLUSTER_NODE_NOT_FOUND = 0x13b2;
        public const int ERROR_CLUSTER_NODE_NOT_MEMBER = 0x13bc;
        public const int ERROR_CLUSTER_NODE_NOT_PAUSED = 0x13c2;
        public const int ERROR_CLUSTER_NODE_NOT_READY = 0x13d0;
        public const int ERROR_CLUSTER_NODE_PAUSED = 0x13ce;
        public const int ERROR_CLUSTER_NODE_SHUTTING_DOWN = 0x13d1;
        public const int ERROR_CLUSTER_NODE_UNREACHABLE = 0x13bb;
        public const int ERROR_CLUSTER_NODE_UP = 0x13c0;
        public const int ERROR_CLUSTER_OLD_VERSION = 0x1710;
        public const int ERROR_CLUSTER_OWNER_NOT_IN_PREFLIST = 0x13da;
        public const int ERROR_CLUSTER_PARAMETER_MISMATCH = 0x1709;
        public const int ERROR_CLUSTER_PROPERTY_DATA_TYPE_MISMATCH = 0x1707;
        public const int ERROR_CLUSTER_QUORUMLOG_NOT_FOUND = 0x1703;
        public const int ERROR_CLUSTER_RESNAME_NOT_FOUND = 0x13d8;
        public const int ERROR_CLUSTER_RESOURCE_TYPE_NOT_FOUND = 0x13d6;
        public const int ERROR_CLUSTER_RESTYPE_NOT_SUPPORTED = 0x13d7;
        public const int ERROR_CLUSTER_SHUTTING_DOWN = 0x139e;
        public const int ERROR_CLUSTER_SYSTEM_CONFIG_CHANGED = 0x13d5;
        public const int ERROR_CLUSTER_WRONG_OS_VERSION = 0x170b;
        public const int ERROR_CLUSTERLOG_CHKPOINT_NOT_FOUND = 0x13a8;
        public const int ERROR_CLUSTERLOG_CORRUPT = 0x13a5;
        public const int ERROR_CLUSTERLOG_EXCEEDS_MAXSIZE = 0x13a7;
        public const int ERROR_CLUSTERLOG_NOT_ENOUGH_SPACE = 0x13a9;
        public const int ERROR_CLUSTERLOG_RECORD_EXCEEDS_MAXSIZE = 0x13a6;
        public const int ERROR_COLORSPACE_MISMATCH = 0x7e5;
        public const int ERROR_COMMITMENT_LIMIT = 0x5af;
        public const int ERROR_CONNECTED_OTHER_PASSUInt16 = 0x83c;
        public const int ERROR_CONNECTED_OTHER_PASSUInt16_DEFAULT = 0x83d;
        public const int ERROR_CONNECTION_ABORTED = 0x4d4;
        public const int ERROR_CONNECTION_ACTIVE = 0x4ce;
        public const int ERROR_CONNECTION_COUNT_LIMIT = 0x4d6;
        public const int ERROR_CONNECTION_INVALID = 0x4cd;
        public const int ERROR_CONNECTION_REFUSED = 0x4c9;
        public const int ERROR_CONNECTION_UNAVAIL = 0x4b1;
        public const int ERROR_CONTEXT_EXPIRED = 0x78b;
        public const int ERROR_CONTINUE = 0x4de;
        public const int ERROR_CONTROL_ID_NOT_FOUND = 0x58d;
        public const int ERROR_CONTROLLING_IEPORT = 0x10e9;
        public const int ERROR_CORE_RESOURCE = 0x13a2;
        public const int ERROR_COUNTER_TIMEOUT = 0x461;
        public const int ERROR_CRC = 0x17;
        public const int ERROR_CREATE_FAILED = 0x65f;
        public const int ERROR_CSCSHARE_OFFLINE = 0x4ee;
        public const int ERROR_CTX_BAD_VIDEO_MODE = 0x1b71;
        public const int ERROR_CTX_CANNOT_MAKE_EVENTLOG_ENTRY = 0x1b5d;
        public const int ERROR_CTX_CLIENT_LICENSE_IN_USE = 0x1b8c;
        public const int ERROR_CTX_CLIENT_LICENSE_NOT_SET = 0x1b8d;
        public const int ERROR_CTX_CLIENT_QUERY_TIMEOUT = 0x1b80;
        public const int ERROR_CTX_CLOSE_PENDING = 0x1b5f;
        public const int ERROR_CTX_CONSOLE_CONNECT = 0x1b82;
        public const int ERROR_CTX_CONSOLE_DISCONNECT = 0x1b81;
        public const int ERROR_CTX_GRAPHICS_INVALID = 0x1b7b;
        public const int ERROR_CTX_INVALID_MODEMNAME = 0x1b62;
        public const int ERROR_CTX_INVALID_PD = 0x1b5a;
        public const int ERROR_CTX_INVALID_WD = 0x1b89;
        public const int ERROR_CTX_LICENSE_CLIENT_INVALID = 0x1b8f;
        public const int ERROR_CTX_LICENSE_EXPIRED = 0x1b90;
        public const int ERROR_CTX_LICENSE_NOT_AVAILABLE = 0x1b8e;
        public const int ERROR_CTX_LOGON_DISABLED = 0x1b7d;
        public const int ERROR_CTX_MODEM_INF_NOT_FOUND = 0x1b61;
        public const int ERROR_CTX_MODEM_RESPONSE_BUSY = 0x1b67;
        public const int ERROR_CTX_MODEM_RESPONSE_ERROR = 0x1b63;
        public const int ERROR_CTX_MODEM_RESPONSE_NO_CARRIER = 0x1b65;
        public const int ERROR_CTX_MODEM_RESPONSE_NO_DIALTONE = 0x1b66;
        public const int ERROR_CTX_MODEM_RESPONSE_TIMEOUT = 0x1b64;
        public const int ERROR_CTX_MODEM_RESPONSE_VOICE = 0x1b68;
        public const int ERROR_CTX_NO_OUTBUF = 0x1b60;
        public const int ERROR_CTX_NOT_CONSOLE = 0x1b7e;
        public const int ERROR_CTX_PD_NOT_FOUND = 0x1b5b;
        public const int ERROR_CTX_SERVICE_NAME_COLLISION = 0x1b5e;
        public const int ERROR_CTX_SHADOW_DENIED = 0x1b84;
        public const int ERROR_CTX_SHADOW_DISABLED = 0x1b8b;
        public const int ERROR_CTX_SHADOW_ENDED_BY_MODE_CHANGE = 0x1b92;
        public const int ERROR_CTX_SHADOW_INVALID = 0x1b8a;
        public const int ERROR_CTX_SHADOW_NOT_RUNNING = 0x1b91;
        public const int ERROR_CTX_TD_ERROR = 0x1b69;
        public const int ERROR_CTX_WD_NOT_FOUND = 0x1b5c;
        public const int ERROR_CTX_WINSTATION_ACCESS_DENIED = 0x1b85;
        public const int ERROR_CTX_WINSTATION_ALREADY_EXISTS = 0x1b6f;
        public const int ERROR_CTX_WINSTATION_BUSY = 0x1b70;
        public const int ERROR_CTX_WINSTATION_NAME_INVALID = 0x1b59;
        public const int ERROR_CTX_WINSTATION_NOT_FOUND = 0x1b6e;
        public const int ERROR_CURRENT_DIRECTORY = 0x10;
        public const int ERROR_CURRENT_DOMAIN_NOT_ALLOWED = 0x577;
        public const int ERROR_DATABASE_BACKUP_CORRUPT = 0x13df;
        public const int ERROR_DATABASE_DOES_NOT_EXIST = 0x429;
        public const int ERROR_DATABASE_FAILURE = 0x10d9;
        public const int ERROR_DATABASE_FULL = 0x10da;
        public const int ERROR_DATATYPE_MISMATCH = 0x65d;
        public const int ERROR_DC_NOT_FOUND = 0x591;
        public const int ERROR_DDE_FAIL = 0x484;
        public const int ERROR_DEBUGGER_INACTIVE = 0x504;
        public const int ERROR_DECRYPTION_FAILED = 0x1771;
        public const int ERROR_DELAY_LOAD_FAILED = 0x505;
        public const int ERROR_DELETE_PENDING = 0x12f;
        public const int ERROR_DELETING_ICM_XFORM = 0x7e3;
        public const int ERROR_DEPENDENCY_ALREADY_EXISTS = 0x138b;
        public const int ERROR_DEPENDENCY_NOT_ALLOWED = 0x13cd;
        public const int ERROR_DEPENDENCY_NOT_FOUND = 0x138a;
        public const int ERROR_DEPENDENT_RESOURCE_EXISTS = 0x1389;
        public const int ERROR_DEPENDENT_SERVICES_RUNNING = 0x41b;
        public const int ERROR_DESTINATION_ELEMENT_FULL = 0x489;
        public const int ERROR_DESTROY_OBJECT_OF_OTHER_THREAD = 0x59b;
        public const int ERROR_DEV_NOT_EXIST = 0x37;
        public const int ERROR_DEVICE_ALREADY_REMEMBERED = 0x4b2;
        public const int ERROR_DEVICE_DOOR_OPEN = 0x48e;
        public const int ERROR_DEVICE_IN_USE = 0x964;
        public const int ERROR_DEVICE_NOT_AVAILABLE = 0x10df;
        public const int ERROR_DEVICE_NOT_CONNECTED = 0x48f;
        public const int ERROR_DEVICE_NOT_PARTITIONED = 0x453;
        public const int ERROR_DEVICE_REINITIALIZATION_NEEDED = 0x48c;
        public const int ERROR_DEVICE_REMOVED = 0x651;
        public const int ERROR_DEVICE_REQUIRES_CLEANING = 0x48d;
        public const int ERROR_DHCP_ADDRESS_CONFLICT = 0x1004;
        public const int ERROR_DIFFERENT_SERVICE_ACCOUNT = 0x437;
        public const int ERROR_DIR_EFS_DISALLOWED = 0x177a;
        public const int ERROR_DIR_NOT_EMPTY = 0x91;
        public const int ERROR_DIR_NOT_ROOT = 0x90;
        public const int ERROR_DIRECT_ACCESS_HANDLE = 130;
        public const int ERROR_DIRECTORY = 0x10b;
        public const int ERROR_DISCARDED = 0x9d;
        public const int ERROR_DISK_CHANGE = 0x6b;
        public const int ERROR_DISK_CORRUPT = 0x571;
        public const int ERROR_DISK_FULL = 0x70;
        public const int ERROR_DISK_OPERATION_FAILED = 0x467;
        public const int ERROR_DISK_RECALIBRATE_FAILED = 0x466;
        public const int ERROR_DISK_RESET_FAILED = 0x468;
        public const int ERROR_DISK_TOO_FRAGMENTED = 0x12e;
        public const int ERROR_DLL_INIT_FAILED = 0x45a;
        public const int ERROR_DLL_NOT_FOUND = 0x485;
        public const int ERROR_DOMAIN_CONTROLLER_EXISTS = 0x4e2;
        public const int ERROR_DOMAIN_CONTROLLER_NOT_FOUND = 0x774;
        public const int ERROR_DOMAIN_EXISTS = 0x54c;
        public const int ERROR_DOMAIN_LIMIT_EXCEEDED = 0x54d;
        public const int ERROR_DOMAIN_TRUST_INCONSISTENT = 0x712;
        public const int ERROR_DOWNGRADE_DETECTED = 0x4f1;
        public const int ERROR_DRIVE_LOCKED = 0x6c;
        public const int ERROR_DRIVE_MEDIA_MISMATCH = 0x10cf;
        public const int ERROR_DRIVER_BLOCKED = 0x4fb;
        public const int ERROR_DS_ADD_REPLICA_INHIBITED = 0x206e;
        public const int ERROR_DS_ADMIN_LIMIT_EXCEEDED = 0x2024;
        public const int ERROR_DS_AFFECTS_MULTIPLE_DSAS = 0x2039;
        public const int ERROR_DS_AG_CANT_HAVE_UNIVERSAL_MEMBER = 0x2182;
        public const int ERROR_DS_ALIAS_DEREF_PROBLEM = 0x2034;
        public const int ERROR_DS_ALIAS_POINTS_TO_ALIAS = 0x2090;
        public const int ERROR_DS_ALIAS_PROBLEM = 0x2031;
        public const int ERROR_DS_ALIASED_OBJ_MISSING = 0x208e;
        public const int ERROR_DS_ATT_ALREADY_EXISTS = 0x207e;
        public const int ERROR_DS_ATT_IS_NOT_ON_OBJ = 0x2076;
        public const int ERROR_DS_ATT_NOT_DEF_FOR_CLASS = 0x207d;
        public const int ERROR_DS_ATT_NOT_DEF_IN_SCHEMA = 0x206f;
        public const int ERROR_DS_ATT_SCHEMA_REQ_ID = 0x20cf;
        public const int ERROR_DS_ATT_SCHEMA_REQ_SYNTAX = 0x20e0;
        public const int ERROR_DS_ATT_VAL_ALREADY_EXISTS = 0x2083;
        public const int ERROR_DS_ATTRIBUTE_OR_VALUE_EXISTS = 0x200d;
        public const int ERROR_DS_ATTRIBUTE_OWNED_BY_SAM = 0x209a;
        public const int ERROR_DS_ATTRIBUTE_TYPE_UNDEFINED = 0x200c;
        public const int ERROR_DS_AUTH_METHOD_NOT_SUPPORTED = 0x2027;
        public const int ERROR_DS_AUTH_UNKNOWN = 0x202a;
        public const int ERROR_DS_AUTHORIZATION_FAILED = 0x2197;
        public const int ERROR_DS_AUX_CLS_TEST_FAIL = 0x20c5;
        public const int ERROR_DS_BACKLINK_WITHOUT_LINK = 0x2122;
        public const int ERROR_DS_BAD_ATT_SCHEMA_SYNTAX = 0x20d0;
        public const int ERROR_DS_BAD_HIERARCHY_FILE = 0x20e9;
        public const int ERROR_DS_BAD_INSTANCE_TYPE = 0x2079;
        public const int ERROR_DS_BAD_NAME_SYNTAX = 0x208f;
        public const int ERROR_DS_BAD_RDN_ATT_ID_SYNTAX = 0x20c8;
        public const int ERROR_DS_BUILD_HIERARCHY_TABLE_FAILED = 0x20ea;
        public const int ERROR_DS_BUSY = 0x200e;
        public const int ERROR_DS_CANT_ACCESS_REMOTE_PART_OF_AD = 0x2189;
        public const int ERROR_DS_CANT_ADD_ATT_VALUES = 0x2080;
        public const int ERROR_DS_CANT_ADD_SYSTEM_ONLY = 0x20a6;
        public const int ERROR_DS_CANT_ADD_TO_GC = 0x2166;
        public const int ERROR_DS_CANT_CACHE_ATT = 0x20d1;
        public const int ERROR_DS_CANT_CACHE_CLASS = 0x20d2;
        public const int ERROR_DS_CANT_CREATE_IN_NONDOMAIN_NC = 0x2169;
        public const int ERROR_DS_CANT_CREATE_UNDER_SCHEMA = 0x213e;
        public const int ERROR_DS_CANT_DEL_MASTER_CROSSREF = 0x20b7;
        public const int ERROR_DS_CANT_DELETE = 0x20ce;
        public const int ERROR_DS_CANT_DELETE_DSA_OBJ = 0x2094;
        public const int ERROR_DS_CANT_DEMOTE_WITH_WRITEABLE_NC = 0x219c;
        public const int ERROR_DS_CANT_DEREF_ALIAS = 0x2091;
        public const int ERROR_DS_CANT_DERIVE_SPN_FOR_DELETED_DOMAIN = 0x219b;
        public const int ERROR_DS_CANT_DERIVE_SPN_WITHOUT_SERVER_REF = 0x218d;
        public const int ERROR_DS_CANT_FIND_DC_FOR_SRC_DOMAIN = 0x2159;
        public const int ERROR_DS_CANT_FIND_DSA_OBJ = 0x20e3;
        public const int ERROR_DS_CANT_FIND_EXPECTED_NC = 0x20e4;
        public const int ERROR_DS_CANT_FIND_NC_IN_CACHE = 0x20e5;
        public const int ERROR_DS_CANT_MIX_MASTER_AND_REPS = 0x208b;
        public const int ERROR_DS_CANT_MOD_OBJ_CLASS = 0x2017;
        public const int ERROR_DS_CANT_MOD_PRIMARYGROUPID = 0x213a;
        public const int ERROR_DS_CANT_MOD_SYSTEM_ONLY = 0x20b1;
        public const int ERROR_DS_CANT_MOVE_ACCOUNT_GROUP = 0x2132;
        public const int ERROR_DS_CANT_MOVE_APP_BASIC_GROUP = 0x21a0;
        public const int ERROR_DS_CANT_MOVE_APP_QUERY_GROUP = 0x21a1;
        public const int ERROR_DS_CANT_MOVE_DELETED_OBJECT = 0x2129;
        public const int ERROR_DS_CANT_MOVE_RESOURCE_GROUP = 0x2133;
        public const int ERROR_DS_CANT_ON_NON_LEAF = 0x2015;
        public const int ERROR_DS_CANT_ON_RDN = 0x2016;
        public const int ERROR_DS_CANT_REM_MISSING_ATT = 0x2084;
        public const int ERROR_DS_CANT_REM_MISSING_ATT_VAL = 0x2085;
        public const int ERROR_DS_CANT_REMOVE_ATT_CACHE = 0x20d3;
        public const int ERROR_DS_CANT_REMOVE_CLASS_CACHE = 0x20d4;
        public const int ERROR_DS_CANT_REPLACE_HIDDEN_REC = 0x20e8;
        public const int ERROR_DS_CANT_RETRIEVE_ATTS = 0x2121;
        public const int ERROR_DS_CANT_RETRIEVE_CHILD = 0x20e6;
        public const int ERROR_DS_CANT_RETRIEVE_DN = 0x20d5;
        public const int ERROR_DS_CANT_RETRIEVE_INSTANCE = 0x20d7;
        public const int ERROR_DS_CANT_RETRIEVE_SD = 0x214e;
        public const int ERROR_DS_CANT_START = 0x2153;
        public const int ERROR_DS_CANT_TREE_DELETE_CRITICAL_OBJ = 0x2170;
        public const int ERROR_DS_CANT_WITH_ACCT_GROUP_MEMBERSHPS = 0x212d;
        public const int ERROR_DS_CHILDREN_EXIST = 0x208c;
        public const int ERROR_DS_CLASS_MUST_BE_CONCRETE = 0x20a7;
        public const int ERROR_DS_CLASS_NOT_DSA = 0x2097;
        public const int ERROR_DS_CLIENT_LOOP = 0x2043;
        public const int ERROR_DS_CODE_INCONSISTENCY = 0x20d8;
        public const int ERROR_DS_COMPARE_FALSE = 0x2025;
        public const int ERROR_DS_COMPARE_TRUE = 0x2026;
        public const int ERROR_DS_CONFIDENTIALITY_REQUIRED = 0x202d;
        public const int ERROR_DS_CONFIG_PARAM_MISSING = 0x20eb;
        public const int ERROR_DS_CONSTRAINT_VIOLATION = 0x202f;
        public const int ERROR_DS_CONSTRUCTED_ATT_MOD = 0x211b;
        public const int ERROR_DS_CONTROL_NOT_FOUND = 0x2042;
        public const int ERROR_DS_COULDNT_CONTACT_FSMO = 0x20af;
        public const int ERROR_DS_COULDNT_IDENTIFY_OBJECTS_FOR_TREE_DELETE = 0x2137;
        public const int ERROR_DS_COULDNT_LOCK_TREE_FOR_DELETE = 0x2136;
        public const int ERROR_DS_COULDNT_UPDATE_SPNS = 0x214d;
        public const int ERROR_DS_COUNTING_AB_INDICES_FAILED = 0x20ec;
        public const int ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE = 0x212f;
        public const int ERROR_DS_CR_IMPOSSIBLE_TO_VALIDATE_V2 = 0x218a;
        public const int ERROR_DS_CROSS_DOM_MOVE_ERROR = 0x2018;
        public const int ERROR_DS_CROSS_DOMAIN_CLEANUP_REQD = 0x212b;
        public const int ERROR_DS_CROSS_NC_DN_RENAME = 0x20b0;
        public const int ERROR_DS_CROSS_REF_BUSY = 0x219a;
        public const int ERROR_DS_CROSS_REF_EXISTS = 0x20b6;
        public const int ERROR_DS_DATABASE_ERROR = 0x20d9;
        public const int ERROR_DS_DECODING_ERROR = 0x203d;
        public const int ERROR_DS_DESTINATION_AUDITING_NOT_ENABLED = 0x2158;
        public const int ERROR_DS_DESTINATION_DOMAIN_NOT_IN_FOREST = 0x2157;
        public const int ERROR_DS_DIFFERENT_REPL_EPOCHS = 0x2191;
        public const int ERROR_DS_DISALLOWED_IN_SYSTEM_CONTAINER = 0x21a7;
        public const int ERROR_DS_DNS_LOOKUP_FAILURE = 0x214c;
        public const int ERROR_DS_DOMAIN_RENAME_IN_PROGRESS = 0x21a4;
        public const int ERROR_DS_DOMAIN_VERSION_TOO_HIGH = 0x2174;
        public const int ERROR_DS_DOMAIN_VERSION_TOO_LOW = 0x2176;
        public const int ERROR_DS_DRA_ABANDON_SYNC = 0x210e;
        public const int ERROR_DS_DRA_ACCESS_DENIED = 0x2105;
        public const int ERROR_DS_DRA_BAD_DN = 0x20f7;
        public const int ERROR_DS_DRA_BAD_INSTANCE_TYPE = 0x20fd;
        public const int ERROR_DS_DRA_BAD_NC = 0x20f8;
        public const int ERROR_DS_DRA_BUSY = 0x20f6;
        public const int ERROR_DS_DRA_CONNECTION_FAILED = 0x20fc;
        public const int ERROR_DS_DRA_DB_ERROR = 0x2103;
        public const int ERROR_DS_DRA_DN_EXISTS = 0x20f9;
        public const int ERROR_DS_DRA_EARLIER_SCHEMA_CONFLICT = 0x2160;
        public const int ERROR_DS_DRA_EXTN_CONNECTION_FAILED = 0x2112;
        public const int ERROR_DS_DRA_GENERIC = 0x20f4;
        public const int ERROR_DS_DRA_INCOMPATIBLE_PARTIAL_SET = 0x2110;
        public const int ERROR_DS_DRA_INCONSISTENT_DIT = 0x20fb;
        public const int ERROR_DS_DRA_INTERNAL_ERROR = 0x20fa;
        public const int ERROR_DS_DRA_INVALID_PARAMETER = 0x20f5;
        public const int ERROR_DS_DRA_MAIL_PROBLEM = 0x20ff;
        public const int ERROR_DS_DRA_MISSING_PARENT = 0x210c;
        public const int ERROR_DS_DRA_NAME_COLLISION = 0x210a;
        public const int ERROR_DS_DRA_NO_REPLICA = 0x2104;
        public const int ERROR_DS_DRA_NOT_SUPPORTED = 0x2106;
        public const int ERROR_DS_DRA_OBJ_IS_REP_SOURCE = 0x2102;
        public const int ERROR_DS_DRA_OBJ_NC_MISMATCH = 0x2161;
        public const int ERROR_DS_DRA_OUT_OF_MEM = 0x20fe;
        public const int ERROR_DS_DRA_PREEMPTED = 0x210d;
        public const int ERROR_DS_DRA_REF_ALREADY_EXISTS = 0x2100;
        public const int ERROR_DS_DRA_REF_NOT_FOUND = 0x2101;
        public const int ERROR_DS_DRA_REPL_PENDING = 0x211d;
        public const int ERROR_DS_DRA_RPC_CANCELLED = 0x2107;
        public const int ERROR_DS_DRA_SCHEMA_CONFLICT = 0x215f;
        public const int ERROR_DS_DRA_SCHEMA_INFO_SHIP = 0x215e;
        public const int ERROR_DS_DRA_SCHEMA_MISMATCH = 0x20e2;
        public const int ERROR_DS_DRA_SHUTDOWN = 0x210f;
        public const int ERROR_DS_DRA_SINK_DISABLED = 0x2109;
        public const int ERROR_DS_DRA_SOURCE_DISABLED = 0x2108;
        public const int ERROR_DS_DRA_SOURCE_IS_PARTIAL_REPLICA = 0x2111;
        public const int ERROR_DS_DRA_SOURCE_REINSTALLED = 0x210b;
        public const int ERROR_DS_DRS_EXTENSIONS_CHANGED = 0x2192;
        public const int ERROR_DS_DS_REQUIRED = 0x211e;
        public const int ERROR_DS_DSA_MUST_BE_INT_MASTER = 0x2096;
        public const int ERROR_DS_DST_DOMAIN_NOT_NATIVE = 0x2130;
        public const int ERROR_DS_DST_NC_MISMATCH = 0x2126;
        public const int ERROR_DS_DUP_LDAP_DISPLAY_NAME = 0x20be;
        public const int ERROR_DS_DUP_LINK_ID = 0x2114;
        public const int ERROR_DS_DUP_MAPI_ID = 0x20bc;
        public const int ERROR_DS_DUP_MSDS_INTID = 0x2195;
        public const int ERROR_DS_DUP_OID = 0x20bb;
        public const int ERROR_DS_DUP_RDN = 0x20ba;
        public const int ERROR_DS_DUP_SCHEMA_ID_GUID = 0x20bd;
        public const int ERROR_DS_DUPLICATE_ID_FOUND = 0x219d;
        public const int ERROR_DS_ENCODING_ERROR = 0x203c;
        public const int ERROR_DS_EPOCH_MISMATCH = 0x2123;
        public const int ERROR_DS_EXISTING_AD_CHILD_NC = 0x21a5;
        public const int ERROR_DS_EXISTS_IN_AUX_CLS = 0x20c9;
        public const int ERROR_DS_EXISTS_IN_MAY_HAVE = 0x20c2;
        public const int ERROR_DS_EXISTS_IN_MUST_HAVE = 0x20c1;
        public const int ERROR_DS_EXISTS_IN_POSS_SUP = 0x20cb;
        public const int ERROR_DS_EXISTS_IN_RDNATTID = 0x2196;
        public const int ERROR_DS_EXISTS_IN_SUB_CLS = 0x20ca;
        public const int ERROR_DS_FILTER_UNKNOWN = 0x203e;
        public const int ERROR_DS_FILTER_USES_CONTRUCTED_ATTRS = 0x216b;
        public const int ERROR_DS_FOREST_VERSION_TOO_HIGH = 0x2173;
        public const int ERROR_DS_FOREST_VERSION_TOO_LOW = 0x2175;
        public const int ERROR_DS_GC_NOT_AVAILABLE = 0x2019;
        public const int ERROR_DS_GC_REQUIRED = 0x2163;
        public const int ERROR_DS_GCVERIFY_ERROR = 0x20e1;
        public const int ERROR_DS_GENERIC_ERROR = 0x2095;
        public const int ERROR_DS_GLOBAL_CANT_HAVE_CROSSDOMAIN_MEMBER = 0x2147;
        public const int ERROR_DS_GLOBAL_CANT_HAVE_LOCAL_MEMBER = 0x2144;
        public const int ERROR_DS_GLOBAL_CANT_HAVE_UNIVERSAL_MEMBER = 0x2145;
        public const int ERROR_DS_GOVERNSID_MISSING = 0x20da;
        public const int ERROR_DS_GROUP_CONVERSION_ERROR = 0x219f;
        public const int ERROR_DS_HAVE_PRIMARY_MEMBERS = 0x2149;
        public const int ERROR_DS_HIERARCHY_TABLE_MALLOC_FAILED = 0x20ed;
        public const int ERROR_DS_ILLEGAL_BASE_SCHEMA_MOD = 0x213b;
        public const int ERROR_DS_ILLEGAL_MOD_OPERATION = 0x2077;
        public const int ERROR_DS_ILLEGAL_SUPERIOR = 0x2099;
        public const int ERROR_DS_ILLEGAL_XDOM_MOVE_OPERATION = 0x212c;
        public const int ERROR_DS_INAPPROPRIATE_AUTH = 0x2029;
        public const int ERROR_DS_INAPPROPRIATE_MATCHING = 0x202e;
        public const int ERROR_DS_INCOMPATIBLE_CONTROLS_USED = 0x217e;
        public const int ERROR_DS_INCOMPATIBLE_VERSION = 0x2177;
        public const int ERROR_DS_INCORRECT_ROLE_OWNER = 0x2012;
        public const int ERROR_DS_INIT_FAILURE = 0x2154;
        public const int ERROR_DS_INIT_FAILURE_CONSOLE = 0x2171;
        public const int ERROR_DS_INSTALL_NO_SCH_VERSION_IN_INIFILE = 0x2140;
        public const int ERROR_DS_INSTALL_NO_SRC_SCH_VERSION = 0x213f;
        public const int ERROR_DS_INSTALL_SCHEMA_MISMATCH = 0x2113;
        public const int ERROR_DS_INSUFF_ACCESS_RIGHTS = 0x2098;
        public const int ERROR_DS_INSUFFICIENT_ATTR_TO_CREATE_OBJECT = 0x219e;
        public const int ERROR_DS_INTERNAL_FAILURE = 0x20ee;
        public const int ERROR_DS_INVALID_ATTRIBUTE_SYNTAX = 0x200b;
        public const int ERROR_DS_INVALID_DMD = 0x20a8;
        public const int ERROR_DS_INVALID_DN_SYNTAX = 0x2032;
        public const int ERROR_DS_INVALID_GROUP_TYPE = 0x2141;
        public const int ERROR_DS_INVALID_LDAP_DISPLAY_NAME = 0x211f;
        public const int ERROR_DS_INVALID_NAME_FOR_SPN = 0x216a;
        public const int ERROR_DS_INVALID_ROLE_OWNER = 0x20ae;
        public const int ERROR_DS_INVALID_SCRIPT = 0x2198;
        public const int ERROR_DS_INVALID_SEARCH_FLAG = 0x2134;
        public const int ERROR_DS_IS_LEAF = 0x2033;
        public const int ERROR_DS_KEY_NOT_UNIQUE = 0x214f;
        public const int ERROR_DS_LDAP_SEND_QUEUE_FULL = 0x21a8;
        public const int ERROR_DS_LINK_ID_NOT_AVAILABLE = 0x2181;
        public const int ERROR_DS_LOCAL_CANT_HAVE_CROSSDOMAIN_LOCAL_MEMBER = 0x2148;
        public const int ERROR_DS_LOCAL_ERROR = 0x203b;
        public const int ERROR_DS_LOCAL_MEMBER_OF_LOCAL_ONLY = 0x2164;
        public const int ERROR_DS_LOOP_DETECT = 0x2036;
        public const int ERROR_DS_LOW_DSA_VERSION = 0x2178;
        public const int ERROR_DS_MACHINE_ACCOUNT_CREATED_PRENT4 = 0x217c;
        public const int ERROR_DS_MACHINE_ACCOUNT_QUOTA_EXCEEDED = 0x216d;
        public const int ERROR_DS_MASTERDSA_REQUIRED = 0x207a;
        public const int ERROR_DS_MAX_OBJ_SIZE_EXCEEDED = 0x2070;
        public const int ERROR_DS_MEMBERSHIP_EVALUATED_LOCALLY = 0x2009;
        public const int ERROR_DS_MISSING_EXPECTED_ATT = 0x20db;
        public const int ERROR_DS_MISSING_FSMO_SETTINGS = 0x20f2;
        public const int ERROR_DS_MISSING_INFRASTRUCTURE_CONTAINER = 0x2131;
        public const int ERROR_DS_MISSING_REQUIRED_ATT = 0x207c;
        public const int ERROR_DS_MISSING_SUPREF = 0x20d6;
        public const int ERROR_DS_MODIFYDN_DISALLOWED_BY_FLAG = 0x2185;
        public const int ERROR_DS_MODIFYDN_DISALLOWED_BY_INSTANCE_TYPE = 0x2183;
        public const int ERROR_DS_MODIFYDN_WRONG_GRANDPARENT = 0x2186;
        public const int ERROR_DS_MUST_BE_RUN_ON_DST_DC = 0x216e;
        public const int ERROR_DS_NAME_ERROR_DOMAIN_ONLY = 0x2119;
        public const int ERROR_DS_NAME_ERROR_NO_MAPPING = 0x2118;
        public const int ERROR_DS_NAME_ERROR_NO_SYNTACTICAL_MAPPING = 0x211a;
        public const int ERROR_DS_NAME_ERROR_NOT_FOUND = 0x2116;
        public const int ERROR_DS_NAME_ERROR_NOT_UNIQUE = 0x2117;
        public const int ERROR_DS_NAME_ERROR_RESOLVING = 0x2115;
        public const int ERROR_DS_NAME_ERROR_TRUST_REFERRAL = 0x2187;
        public const int ERROR_DS_NAME_NOT_UNIQUE = 0x217b;
        public const int ERROR_DS_NAME_REFERENCE_INVALID = 0x20b5;
        public const int ERROR_DS_NAME_TOO_Int32 = 0x209c;
        public const int ERROR_DS_NAME_TOO_MANY_PARTS = 0x209b;
        public const int ERROR_DS_NAME_TYPE_UNKNOWN = 0x209f;
        public const int ERROR_DS_NAME_UNPARSEABLE = 0x209e;
        public const int ERROR_DS_NAME_VALUE_TOO_Int32 = 0x209d;
        public const int ERROR_DS_NAMING_MASTER_GC = 0x214b;
        public const int ERROR_DS_NAMING_VIOLATION = 0x2037;
        public const int ERROR_DS_NC_MUST_HAVE_NC_PARENT = 0x212e;
        public const int ERROR_DS_NC_STILL_HAS_DSAS = 0x2162;
        public const int ERROR_DS_NCNAME_MISSING_CR_REF = 0x20dc;
        public const int ERROR_DS_NCNAME_MUST_BE_NC = 0x20a5;
        public const int ERROR_DS_NO_ATTRIBUTE_OR_VALUE = 0x200a;
        public const int ERROR_DS_NO_BEHAVIOR_VERSION_IN_MIXEDDOMAIN = 0x2179;
        public const int ERROR_DS_NO_CHAINED_EVAL = 0x2088;
        public const int ERROR_DS_NO_CHAINING = 0x2087;
        public const int ERROR_DS_NO_CHECKPOINT_WITH_PDC = 0x2167;
        public const int ERROR_DS_NO_CROSSREF_FOR_NC = 0x20ab;
        public const int ERROR_DS_NO_DELETED_NAME = 0x20a3;
        public const int ERROR_DS_NO_FPO_IN_UNIVERSAL_GROUPS = 0x2165;
        public const int ERROR_DS_NO_MORE_RIDS = 0x2011;
        public const int ERROR_DS_NO_MSDS_INTID = 0x2194;
        public const int ERROR_DS_NO_NEST_GLOBALGROUP_IN_MIXEDDOMAIN = 0x2142;
        public const int ERROR_DS_NO_NEST_LOCALGROUP_IN_MIXEDDOMAIN = 0x2143;
        public const int ERROR_DS_NO_OBJECT_MOVE_IN_SCHEMA_NC = 0x2184;
        public const int ERROR_DS_NO_PARENT_OBJECT = 0x2089;
        public const int ERROR_DS_NO_PKT_PRIVACY_ON_CONNECTION = 0x2155;
        public const int ERROR_DS_NO_RDN_DEFINED_IN_SCHEMA = 0x2072;
        public const int ERROR_DS_NO_REF_DOMAIN = 0x217f;
        public const int ERROR_DS_NO_REQUESTED_ATTS_FOUND = 0x2074;
        public const int ERROR_DS_NO_RESULTS_RETURNED = 0x2041;
        public const int ERROR_DS_NO_RIDS_ALLOCATED = 0x2010;
        public const int ERROR_DS_NO_SUCH_OBJECT = 0x2030;
        public const int ERROR_DS_NO_TREE_DELETE_ABOVE_NC = 0x2135;
        public const int ERROR_DS_NON_BASE_SEARCH = 0x2120;
        public const int ERROR_DS_NONEXISTENT_MAY_HAVE = 0x20c3;
        public const int ERROR_DS_NONEXISTENT_MUST_HAVE = 0x20c4;
        public const int ERROR_DS_NONEXISTENT_POSS_SUP = 0x20c6;
        public const int ERROR_DS_NONSAFE_SCHEMA_CHANGE = 0x213c;
        public const int ERROR_DS_NOT_AN_OBJECT = 0x20a0;
        public const int ERROR_DS_NOT_AUTHORITIVE_FOR_DST_NC = 0x2127;
        public const int ERROR_DS_NOT_CLOSEST = 0x218c;
        public const int ERROR_DS_NOT_INSTALLED = 0x2008;
        public const int ERROR_DS_NOT_ON_BACKLINK = 0x20aa;
        public const int ERROR_DS_NOT_SUPPORTED = 0x2040;
        public const int ERROR_DS_NOT_SUPPORTED_SORT_ORDER = 0x217a;
        public const int ERROR_DS_NOTIFY_FILTER_TOO_COMPLEX = 0x20b9;
        public const int ERROR_DS_NTDSCRIPT_PROCESS_ERROR = 0x2190;
        public const int ERROR_DS_NTDSCRIPT_SYNTAX_ERROR = 0x218f;
        public const int ERROR_DS_OBJ_CLASS_NOT_DEFINED = 0x20b3;
        public const int ERROR_DS_OBJ_CLASS_NOT_SUBCLASS = 0x20b4;
        public const int ERROR_DS_OBJ_CLASS_VIOLATION = 0x2014;
        public const int ERROR_DS_OBJ_GUID_EXISTS = 0x20a9;
        public const int ERROR_DS_OBJ_NOT_FOUND = 0x208d;
        public const int ERROR_DS_OBJ_STRING_NAME_EXISTS = 0x2071;
        public const int ERROR_DS_OBJ_TOO_LARGE = 0x2078;
        public const int ERROR_DS_OBJECT_BEING_REMOVED = 0x2093;
        public const int ERROR_DS_OBJECT_CLASS_REQUIRED = 0x207b;
        public const int ERROR_DS_OBJECT_RESULTS_TOO_LARGE = 0x2038;
        public const int ERROR_DS_OFFSET_RANGE_ERROR = 0x2046;
        public const int ERROR_DS_OPERATIONS_ERROR = 0x2020;
        public const int ERROR_DS_OUT_OF_SCOPE = 0x2092;
        public const int ERROR_DS_OUT_OF_VERSION_STORE = 0x217d;
        public const int ERROR_DS_PARAM_ERROR = 0x203f;
        public const int ERROR_DS_PARENT_IS_AN_ALIAS = 0x208a;
        public const int ERROR_DS_PDC_OPERATION_IN_PROGRESS = 0x212a;
        public const int ERROR_DS_PROTOCOL_ERROR = 0x2021;
        public const int ERROR_DS_RANGE_CONSTRAINT = 0x2082;
        public const int ERROR_DS_RDN_DOESNT_MATCH_SCHEMA = 0x2073;
        public const int ERROR_DS_RECALCSCHEMA_FAILED = 0x20cc;
        public const int ERROR_DS_REFERRAL = 0x202b;
        public const int ERROR_DS_REFERRAL_LIMIT_EXCEEDED = 0x2044;
        public const int ERROR_DS_REFUSING_FSMO_ROLES = 0x20f1;
        public const int ERROR_DS_REMOTE_CROSSREF_OP_FAILED = 0x2199;
        public const int ERROR_DS_REPL_LIFETIME_EXCEEDED = 0x21a6;
        public const int ERROR_DS_REPLICA_SET_CHANGE_NOT_ALLOWED_ON_DISABLED_CR = 0x2193;
        public const int ERROR_DS_REPLICATOR_ONLY = 0x20b2;
        public const int ERROR_DS_RESERVED_LINK_ID = 0x2180;
        public const int ERROR_DS_RIDMGR_INIT_ERROR = 0x2013;
        public const int ERROR_DS_ROLE_NOT_VERIFIED = 0x21a2;
        public const int ERROR_DS_ROOT_CANT_BE_SUBREF = 0x2086;
        public const int ERROR_DS_ROOT_MUST_BE_NC = 0x206d;
        public const int ERROR_DS_ROOT_REQUIRES_CLASS_TOP = 0x20f0;
        public const int ERROR_DS_SAM_INIT_FAILURE = 0x2138;
        public const int ERROR_DS_SAM_INIT_FAILURE_CONSOLE = 0x2172;
        public const int ERROR_DS_SAM_NEED_BOOTKEY_FLOPPY = 0x2152;
        public const int ERROR_DS_SAM_NEED_BOOTKEY_PASSUInt16 = 0x2151;
        public const int ERROR_DS_SCHEMA_ALLOC_FAILED = 0x20df;
        public const int ERROR_DS_SCHEMA_NOT_LOADED = 0x20de;
        public const int ERROR_DS_SCHEMA_UPDATE_DISALLOWED = 0x213d;
        public const int ERROR_DS_SEC_DESC_INVALID = 0x20a2;
        public const int ERROR_DS_SEC_DESC_TOO_Int16 = 0x20a1;
        public const int ERROR_DS_SECURITY_CHECKING_ERROR = 0x20dd;
        public const int ERROR_DS_SECURITY_ILLEGAL_MODIFY = 0x20e7;
        public const int ERROR_DS_SEMANTIC_ATT_TEST = 0x20bf;
        public const int ERROR_DS_SENSITIVE_GROUP_VIOLATION = 0x2139;
        public const int ERROR_DS_SERVER_DOWN = 0x203a;
        public const int ERROR_DS_SHUTTING_DOWN = 0x20ac;
        public const int ERROR_DS_SINGLE_USER_MODE_FAILED = 0x218e;
        public const int ERROR_DS_SINGLE_VALUE_CONSTRAINT = 0x2081;
        public const int ERROR_DS_SIZELIMIT_EXCEEDED = 0x2023;
        public const int ERROR_DS_SORT_CONTROL_MISSING = 0x2045;
        public const int ERROR_DS_SOURCE_AUDITING_NOT_ENABLED = 0x2168;
        public const int ERROR_DS_SOURCE_DOMAIN_IN_FOREST = 0x2156;
        public const int ERROR_DS_SRC_AND_DST_NC_IDENTICAL = 0x2125;
        public const int ERROR_DS_SRC_AND_DST_OBJECT_CLASS_MISMATCH = 0x215c;
        public const int ERROR_DS_SRC_DC_MUST_BE_SP4_OR_GREATER = 0x216f;
        public const int ERROR_DS_SRC_GUID_MISMATCH = 0x2128;
        public const int ERROR_DS_SRC_NAME_MISMATCH = 0x2124;
        public const int ERROR_DS_SRC_OBJ_NOT_GROUP_OR_USER = 0x215a;
        public const int ERROR_DS_SRC_SID_EXISTS_IN_FOREST = 0x215b;
        public const int ERROR_DS_STRING_SD_CONVERSION_FAILED = 0x214a;
        public const int ERROR_DS_STRONG_AUTH_REQUIRED = 0x2028;
        public const int ERROR_DS_SUB_CLS_TEST_FAIL = 0x20c7;
        public const int ERROR_DS_SUBREF_MUST_HAVE_PARENT = 0x20a4;
        public const int ERROR_DS_SUBTREE_NOTIFY_NOT_NC_HEAD = 0x20b8;
        public const int ERROR_DS_SYNTAX_MISMATCH = 0x20c0;
        public const int ERROR_DS_THREAD_LIMIT_EXCEEDED = 0x218b;
        public const int ERROR_DS_TIMELIMIT_EXCEEDED = 0x2022;
        public const int ERROR_DS_TREE_DELETE_NOT_FINISHED = 0x20cd;
        public const int ERROR_DS_UNABLE_TO_SURRENDER_ROLES = 0x20f3;
        public const int ERROR_DS_UNAVAILABLE = 0x200f;
        public const int ERROR_DS_UNAVAILABLE_CRIT_EXTENSION = 0x202c;
        public const int ERROR_DS_UNICODEPWD_NOT_IN_QUOTES = 0x216c;
        public const int ERROR_DS_UNIVERSAL_CANT_HAVE_LOCAL_MEMBER = 0x2146;
        public const int ERROR_DS_UNKNOWN_ERROR = 0x20ef;
        public const int ERROR_DS_UNKNOWN_OPERATION = 0x20ad;
        public const int ERROR_DS_UNWILLING_TO_PERFORM = 0x2035;
        public const int ERROR_DS_USER_BUFFER_TO_SMALL = 0x2075;
        public const int ERROR_DS_WKO_CONTAINER_CANNOT_BE_SPECIAL = 0x21a3;
        public const int ERROR_DS_WRONG_LINKED_ATT_SYNTAX = 0x2150;
        public const int ERROR_DS_WRONG_OM_OBJ_CLASS = 0x211c;
        public const int ERROR_DUP_DOMAINNAME = 0x4c5;
        public const int ERROR_DUP_NAME = 0x34;
        public const int ERROR_DUPLICATE_SERVICE_NAME = 0x436;
        public const int ERROR_DUPLICATE_TAG = 0x7de;
        public const int ERROR_DYNLINK_FROM_INVALID_RING = 0xc4;
        public const int ERROR_EA_ACCESS_DENIED = 0x3e2;
        public const int ERROR_EA_FILE_CORRUPT = 0x114;
        public const int ERROR_EA_LIST_INCONSISTENT = 0xff;
        public const int ERROR_EA_TABLE_FULL = 0x115;
        public const int ERROR_EAS_DIDNT_FIT = 0x113;
        public const int ERROR_EAS_NOT_SUPPORTED = 0x11a;
        public const int ERROR_EFS_ALG_BLOB_TOO_BIG = 0x177d;
        public const int ERROR_EFS_DISABLED = 0x177f;
        public const int ERROR_EFS_SERVER_NOT_TRUSTED = 0x177b;
        public const int ERROR_EFS_VERSION_NOT_SUPPORT = 0x1780;
        public const int ERROR_EMPTY = 0x10d2;
        public const int ERROR_ENCRYPTION_FAILED = 0x1770;
        public const int ERROR_END_OF_MEDIA = 0x44c;
        public const int ERROR_ENVVAR_NOT_FOUND = 0xcb;
        public const int ERROR_EOM_OVERFLOW = 0x469;
        public const int ERROR_EVENTLOG_CANT_START = 0x5dd;
        public const int ERROR_EVENTLOG_FILE_CHANGED = 0x5df;
        public const int ERROR_EVENTLOG_FILE_CORRUPT = 0x5dc;
        public const int ERROR_EXCEPTION_IN_SERVICE = 0x428;
        public const int ERROR_EXCL_SEM_ALREADY_OWNED = 0x65;
        public const int ERROR_EXE_CANNOT_MODIFY_SIGNED_BINARY = 0xd9;
        public const int ERROR_EXE_CANNOT_MODIFY_STRONG_SIGNED_BINARY = 0xda;
        public const int ERROR_EXE_MACHINE_TYPE_MISMATCH = 0xd8;
        public const int ERROR_EXE_MARKED_INVALID = 0xc0;
        public const int ERROR_EXTENDED_ERROR = 0x4b8;
        public const int ERROR_FAIL_I24 = 0x53;
        public const int ERROR_FAILED_SERVICE_CONTROLLER_CONNECT = 0x427;
        public const int ERROR_FILE_CORRUPT = 0x570;
        public const int ERROR_FILE_ENCRYPTED = 0x1772;
        public const int ERROR_FILE_EXISTS = 80;
        public const int ERROR_FILE_INVALID = 0x3ee;
        public const int ERROR_FILE_NOT_ENCRYPTED = 0x1777;
        public const int ERROR_FILE_NOT_FOUND = 2;
        public const int ERROR_FILE_OFFLINE = 0x10fe;
        public const int ERROR_FILE_READ_ONLY = 0x1779;
        public const int ERROR_FILEMARK_DETECTED = 0x44d;
        public const int ERROR_FILENAME_EXCED_RANGE = 0xce;
        public const int ERROR_FLOPPY_BAD_REGISTERS = 0x465;
        public const int ERROR_FLOPPY_ID_MARK_NOT_FOUND = 0x462;
        public const int ERROR_FLOPPY_UNKNOWN_ERROR = 0x464;
        public const int ERROR_FLOPPY_WRONG_CYLINDER = 0x463;
        public const int ERROR_FULL_BACKUP = 0xfa4;
        public const int ERROR_FULLSCREEN_MODE = 0x3ef;
        public const int ERROR_FUNCTION_FAILED = 0x65b;
        public const int ERROR_FUNCTION_NOT_CALLED = 0x65a;
        public const int ERROR_GEN_FAILURE = 0x1f;
        public const int ERROR_GENERIC_NOT_MAPPED = 0x550;
        public const int ERROR_GLOBAL_ONLY_HOOK = 0x595;
        public const int ERROR_GRACEFUL_DISCONNECT = 0x4ca;
        public const int ERROR_GROUP_EXISTS = 0x526;
        public const int ERROR_GROUP_NOT_AVAILABLE = 0x1394;
        public const int ERROR_GROUP_NOT_FOUND = 0x1395;
        public const int ERROR_GROUP_NOT_ONLINE = 0x1396;
        public const int ERROR_HANDLE_DISK_FULL = 0x27;
        public const int ERROR_HANDLE_EOF = 0x26;
        public const int ERROR_HOOK_NEEDS_HMOD = 0x594;
        public const int ERROR_HOOK_NOT_INSTALLED = 0x597;
        public const int ERROR_HOOK_TYPE_NOT_ALLOWED = 0x5b2;
        public const int ERROR_HOST_DOWN = 0x4e8;
        public const int ERROR_HOST_NODE_NOT_AVAILABLE = 0x138d;
        public const int ERROR_HOST_NODE_NOT_GROUP_OWNER = 0x1398;
        public const int ERROR_HOST_NODE_NOT_RESOURCE_OWNER = 0x1397;
        public const int ERROR_HOST_UNREACHABLE = 0x4d0;
        public const int ERROR_HOTKEY_ALREADY_REGISTERED = 0x581;
        public const int ERROR_HOTKEY_NOT_REGISTERED = 0x58b;
        public const int ERROR_HWNDS_HAVE_DIFF_PARENT = 0x5a1;
        public const int ERROR_ICM_NOT_ENABLED = 0x7e2;
        public const int ERROR_ILL_FORMED_PASSWORD = 0x52c;
        public const int ERROR_ILLEGAL_ELEMENT_ADDRESS = 0x48a;
        public const int ERROR_INC_BACKUP = 0xfa3;
        public const int ERROR_INCORRECT_ADDRESS = 0x4d9;
        public const int ERROR_INDEX_ABSENT = 0x64b;
        public const int ERROR_INDIGENOUS_TYPE = 0x10f2;
        public const int ERROR_INFLOOP_IN_RELOC_CHAIN = 0xca;
        public const int ERROR_INSTALL_ALREADY_RUNNING = 0x652;
        public const int ERROR_INSTALL_FAILURE = 0x643;
        public const int ERROR_INSTALL_LANGUAGE_UNSUPPORTED = 0x657;
        public const int ERROR_INSTALL_LOG_FAILURE = 0x656;
        public const int ERROR_INSTALL_NOTUSED = 0x662;
        public const int ERROR_INSTALL_PACKAGE_INVALID = 0x654;
        public const int ERROR_INSTALL_PACKAGE_OPEN_FAILED = 0x653;
        public const int ERROR_INSTALL_PACKAGE_REJECTED = 0x659;
        public const int ERROR_INSTALL_PACKAGE_VERSION = 0x64d;
        public const int ERROR_INSTALL_PLATFORM_UNSUPPORTED = 0x661;
        public const int ERROR_INSTALL_REMOTE_DISALLOWED = 0x668;
        public const int ERROR_INSTALL_REMOTE_PROHIBITED = 0x66d;
        public const int ERROR_INSTALL_SERVICE_FAILURE = 0x641;
        public const int ERROR_INSTALL_SOURCE_ABSENT = 0x64c;
        public const int ERROR_INSTALL_SUSPEND = 0x644;
        public const int ERROR_INSTALL_TEMP_UNWRITABLE = 0x660;
        public const int ERROR_INSTALL_TRANSFORM_FAILURE = 0x658;
        public const int ERROR_INSTALL_TRANSFORM_REJECTED = 0x66c;
        public const int ERROR_INSTALL_UI_FAILURE = 0x655;
        public const int ERROR_INSTALL_USEREXIT = 0x642;
        public const int ERROR_INSUFFICIENT_BUFFER = 0x7a;
        public const int ERROR_INTERNAL_DB_CORRUPTION = 0x54e;
        public const int ERROR_INTERNAL_DB_ERROR = 0x567;
        public const int ERROR_INTERNAL_ERROR = 0x54f;
        public const int ERROR_INVALID_ACCEL_HANDLE = 0x57b;
        public const int ERROR_INVALID_ACCESS = 12;
        public const int ERROR_INVALID_ACCOUNT_NAME = 0x523;
        public const int ERROR_INVALID_ACL = 0x538;
        public const int ERROR_INVALID_ADDRESS = 0x1e7;
        public const int ERROR_INVALID_AT_INTERRUPT_TIME = 0x68;
        public const int ERROR_INVALID_BLOCK = 9;
        public const int ERROR_INVALID_BLOCK_LENGTH = 0x452;
        public const int ERROR_INVALID_CATEGORY = 0x75;
        public const int ERROR_INVALID_CLEANER = 0x10d6;
        public const int ERROR_INVALID_CMM = 0x7da;
        public const int ERROR_INVALID_COLORINDEX = 0x7e6;
        public const int ERROR_INVALID_COLORSPACE = 0x7e1;
        public const int ERROR_INVALID_COMBOBOX_MESSAGE = 0x58e;
        public const int ERROR_INVALID_COMMAND_LINE = 0x667;
        public const int ERROR_INVALID_COMPUTERNAME = 0x4ba;
        public const int ERROR_INVALID_CURSOR_HANDLE = 0x57a;
        public const int ERROR_INVALID_DATA = 13;
        public const int ERROR_INVALID_DATATYPE = 0x70c;
        public const int ERROR_INVALID_DLL = 0x482;
        public const int ERROR_INVALID_DOMAIN_ROLE = 0x54a;
        public const int ERROR_INVALID_DOMAIN_STATE = 0x549;
        public const int ERROR_INVALID_DOMAINNAME = 0x4bc;
        public const int ERROR_INVALID_DRIVE = 15;
        public const int ERROR_INVALID_DRIVE_OBJECT = 0x10e1;
        public const int ERROR_INVALID_DWP_HANDLE = 0x57d;
        public const int ERROR_INVALID_EA_HANDLE = 0x116;
        public const int ERROR_INVALID_EA_NAME = 0xfe;
        public const int ERROR_INVALID_EDIT_HEIGHT = 0x590;
        public const int ERROR_INVALID_ENVIRONMENT = 0x70d;
        public const int ERROR_INVALID_EVENT_COUNT = 0x97;
        public const int ERROR_INVALID_EVENTNAME = 0x4bb;
        public const int ERROR_INVALID_EXE_SIGNATURE = 0xbf;
        public const int ERROR_INVALID_FIELD = 0x650;
        public const int ERROR_INVALID_FILTER_PROC = 0x593;
        public const int ERROR_INVALID_FLAG_NUMBER = 0xba;
        public const int ERROR_INVALID_FLAGS = 0x3ec;
        public const int ERROR_INVALID_FORM_NAME = 0x76e;
        public const int ERROR_INVALID_FORM_SIZE = 0x76f;
        public const int ERROR_INVALID_FUNCTION = 1;
        public const int ERROR_INVALID_GROUP_ATTRIBUTES = 0x541;
        public const int ERROR_INVALID_GROUPNAME = 0x4b9;
        public const int ERROR_INVALID_GW_COMMAND = 0x5a3;
        public const int ERROR_INVALID_HANDLE = 6;
        public const int ERROR_INVALID_HANDLE_STATE = 0x649;
        public const int ERROR_INVALID_HOOK_FILTER = 0x592;
        public const int ERROR_INVALID_HOOK_HANDLE = 0x57c;
        public const int ERROR_INVALID_ICON_HANDLE = 0x586;
        public const int ERROR_INVALID_ID_AUTHORITY = 0x53f;
        public const int ERROR_INVALID_IMPORT_OF_NON_DLL = 0x4fc;
        public const int ERROR_INVALID_INDEX = 0x585;
        public const int ERROR_INVALID_KEYBOARD_HANDLE = 0x5b1;
        public const int ERROR_INVALID_LB_MESSAGE = 0x598;
        public const int ERROR_INVALID_LEVEL = 0x7c;
        public const int ERROR_INVALID_LIBRARY = 0x10cd;
        public const int ERROR_INVALID_LIST_FORMAT = 0x99;
        public const int ERROR_INVALID_LOGON_HOURS = 0x530;
        public const int ERROR_INVALID_LOGON_TYPE = 0x557;
        public const int ERROR_INVALID_MEDIA = 0x10cc;
        public const int ERROR_INVALID_MEDIA_POOL = 0x10ce;
        public const int ERROR_INVALID_MEMBER = 0x56c;
        public const int ERROR_INVALID_MENU_HANDLE = 0x579;
        public const int ERROR_INVALID_MESSAGE = 0x3ea;
        public const int ERROR_INVALID_MESSAGEDEST = 0x4c2;
        public const int ERROR_INVALID_MESSAGENAME = 0x4c1;
        public const int ERROR_INVALID_MINALLOCSIZE = 0xc3;
        public const int ERROR_INVALID_MODULETYPE = 190;
        public const int ERROR_INVALID_MONITOR_HANDLE = 0x5b5;
        public const int ERROR_INVALID_MSGBOX_STYLE = 0x59e;
        public const int ERROR_INVALID_NAME = 0x7b;
        public const int ERROR_INVALID_NETNAME = 0x4be;
        public const int ERROR_INVALID_OPERATION = 0x10dd;
        public const int ERROR_INVALID_OPERATION_ON_QUORUM = 0x13cc;
        public const int ERROR_INVALID_OPLOCK_PROTOCOL = 0x12d;
        public const int ERROR_INVALID_ORDINAL = 0xb6;
        public const int ERROR_INVALID_OWNER = 0x51b;
        public const int ERROR_INVALID_PARAMETER = 0x57;
        public const int ERROR_INVALID_PASSUInt16 = 0x56;
        public const int ERROR_INVALID_PASSUInt16NAME = 0x4c0;
        public const int ERROR_INVALID_PIXEL_FORMAT = 0x7d0;
        public const int ERROR_INVALID_PRIMARY_GROUP = 0x51c;
        public const int ERROR_INVALID_PRINT_MONITOR = 0xbbf;
        public const int ERROR_INVALID_PRINTER_COMMAND = 0x70b;
        public const int ERROR_INVALID_PRINTER_NAME = 0x709;
        public const int ERROR_INVALID_PRINTER_STATE = 0x772;
        public const int ERROR_INVALID_PRIORITY = 0x708;
        public const int ERROR_INVALID_PROFILE = 0x7db;
        public const int ERROR_INVALID_REPARSE_DATA = 0x1128;
        public const int ERROR_INVALID_SCROLLBAR_RANGE = 0x5a8;
        public const int ERROR_INVALID_SECURITY_DESCR = 0x53a;
        public const int ERROR_INVALID_SEGDPL = 0xc6;
        public const int ERROR_INVALID_SEGMENT_NUMBER = 180;
        public const int ERROR_INVALID_SEPARATOR_FILE = 0x707;
        public const int ERROR_INVALID_SERVER_STATE = 0x548;
        public const int ERROR_INVALID_SERVICE_ACCOUNT = 0x421;
        public const int ERROR_INVALID_SERVICE_CONTROL = 0x41c;
        public const int ERROR_INVALID_SERVICE_LOCK = 0x42f;
        public const int ERROR_INVALID_SERVICENAME = 0x4bd;
        public const int ERROR_INVALID_SHARENAME = 0x4bf;
        public const int ERROR_INVALID_SHOWWIN_COMMAND = 0x5a9;
        public const int ERROR_INVALID_SID = 0x539;
        public const int ERROR_INVALID_SIGNAL_NUMBER = 0xd1;
        public const int ERROR_INVALID_SPI_VALUE = 0x59f;
        public const int ERROR_INVALID_STACKSEG = 0xbd;
        public const int ERROR_INVALID_STARTING_CODESEG = 0xbc;
        public const int ERROR_INVALID_STATE = 0x139f;
        public const int ERROR_INVALID_SUB_AUTHORITY = 0x537;
        public const int ERROR_INVALID_TABLE = 0x65c;
        public const int ERROR_INVALID_TARGET_HANDLE = 0x72;
        public const int ERROR_INVALID_THREAD_ID = 0x5a4;
        public const int ERROR_INVALID_TIME = 0x76d;
        public const int ERROR_INVALID_TRANSFORM = 0x7e4;
        public const int ERROR_INVALID_USER_BUFFER = 0x6f8;
        public const int ERROR_INVALID_VERIFY_SWITCH = 0x76;
        public const int ERROR_INVALID_WINDOW_HANDLE = 0x578;
        public const int ERROR_INVALID_WINDOW_STYLE = 0x7d2;
        public const int ERROR_INVALID_WORKSTATION = 0x531;
        public const int ERROR_IO_DEVICE = 0x45d;
        public const int ERROR_IO_INCOMPLETE = 0x3e4;
        public const int ERROR_IO_PENDING = 0x3e5;
        public const int ERROR_IOPL_NOT_ENABLED = 0xc5;
        public const int ERROR_IPSEC_DEFAULT_MM_AUTH_NOT_FOUND = 0x32d6;
        public const int ERROR_IPSEC_DEFAULT_MM_POLICY_NOT_FOUND = 0x32d5;
        public const int ERROR_IPSEC_DEFAULT_QM_POLICY_NOT_FOUND = 0x32d7;
        public const int ERROR_IPSEC_IKE_ADD_UPDATE_KEY_FAILED = 0x3624;
        public const int ERROR_IPSEC_IKE_ATTRIB_FAIL = 0x35ea;
        public const int ERROR_IPSEC_IKE_AUTH_FAIL = 0x35e9;
        public const int ERROR_IPSEC_IKE_BENIGN_REINIT = 0x3636;
        public const int ERROR_IPSEC_IKE_CRL_FAILED = 0x35f9;
        public const int ERROR_IPSEC_IKE_DECRYPT = 0x362b;
        public const int ERROR_IPSEC_IKE_DH_FAIL = 0x35fe;
        public const int ERROR_IPSEC_IKE_DH_FAILURE = 0x3628;
        public const int ERROR_IPSEC_IKE_DROP_NO_RESPONSE = 0x35f5;
        public const int ERROR_IPSEC_IKE_ENCRYPT = 0x362a;
        public const int ERROR_IPSEC_IKE_ERROR = 0x35f8;
        public const int ERROR_IPSEC_IKE_FAILQUERYSSP = 0x361e;
        public const int ERROR_IPSEC_IKE_FAILSSPINIT = 0x361d;
        public const int ERROR_IPSEC_IKE_GENERAL_PROCESSING_ERROR = 0x35ec;
        public const int ERROR_IPSEC_IKE_GETSPIFAIL = 0x3621;
        public const int ERROR_IPSEC_IKE_INVALID_AUTH_ALG = 0x3632;
        public const int ERROR_IPSEC_IKE_INVALID_CERT_KEYLEN = 0x3639;
        public const int ERROR_IPSEC_IKE_INVALID_CERT_TYPE = 0x35fb;
        public const int ERROR_IPSEC_IKE_INVALID_COOKIE = 0x3616;
        public const int ERROR_IPSEC_IKE_INVALID_ENCRYPT_ALG = 0x3631;
        public const int ERROR_IPSEC_IKE_INVALID_FILTER = 0x3622;
        public const int ERROR_IPSEC_IKE_INVALID_GROUP = 0x3629;
        public const int ERROR_IPSEC_IKE_INVALID_HASH = 0x362e;
        public const int ERROR_IPSEC_IKE_INVALID_HASH_ALG = 0x362f;
        public const int ERROR_IPSEC_IKE_INVALID_HASH_SIZE = 0x3630;
        public const int ERROR_IPSEC_IKE_INVALID_HEADER = 0x3600;
        public const int ERROR_IPSEC_IKE_INVALID_KEY_USAGE = 0x35fa;
        public const int ERROR_IPSEC_IKE_INVALID_PAYLOAD = 0x3613;
        public const int ERROR_IPSEC_IKE_INVALID_POLICY = 0x3625;
        public const int ERROR_IPSEC_IKE_INVALID_RESPONDER_LIFETIME_NOTIFY = 0x3637;
        public const int ERROR_IPSEC_IKE_INVALID_SIG = 0x3633;
        public const int ERROR_IPSEC_IKE_INVALID_SIGNATURE = 0x3602;
        public const int ERROR_IPSEC_IKE_INVALID_SITUATION = 0x3627;
        public const int ERROR_IPSEC_IKE_KERBEROS_ERROR = 0x3603;
        public const int ERROR_IPSEC_IKE_LOAD_FAILED = 0x3634;
        public const int ERROR_IPSEC_IKE_LOAD_SOFT_SA = 0x3614;
        public const int ERROR_IPSEC_IKE_MM_ACQUIRE_DROP = 0x35f1;
        public const int ERROR_IPSEC_IKE_MM_DELAY_DROP = 0x35f6;
        public const int ERROR_IPSEC_IKE_MM_LIMIT = 0x363a;
        public const int ERROR_IPSEC_IKE_NEG_STATUS_BEGIN = 0x35e8;
        public const int ERROR_IPSEC_IKE_NEG_STATUS_END = 0x363c;
        public const int ERROR_IPSEC_IKE_NEGOTIATION_DISABLED = 0x363b;
        public const int ERROR_IPSEC_IKE_NEGOTIATION_PENDING = 0x35eb;
        public const int ERROR_IPSEC_IKE_NO_CERT = 0x35ee;
        public const int ERROR_IPSEC_IKE_NO_MM_POLICY = 0x361a;
        public const int ERROR_IPSEC_IKE_NO_PEER_CERT = 0x3617;
        public const int ERROR_IPSEC_IKE_NO_POLICY = 0x3601;
        public const int ERROR_IPSEC_IKE_NO_PRIVATE_KEY = 0x35fc;
        public const int ERROR_IPSEC_IKE_NO_PUBLIC_KEY = 0x3604;
        public const int ERROR_IPSEC_IKE_NOTCBPRIV = 0x361b;
        public const int ERROR_IPSEC_IKE_OUT_OF_MEMORY = 0x3623;
        public const int ERROR_IPSEC_IKE_PEER_CRL_FAILED = 0x3618;
        public const int ERROR_IPSEC_IKE_POLICY_CHANGE = 0x3619;
        public const int ERROR_IPSEC_IKE_POLICY_MATCH = 0x362c;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR = 0x3605;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR_CERT = 0x360b;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR_CERT_REQ = 0x360c;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR_DELETE = 0x3611;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR_HASH = 0x360d;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR_ID = 0x360a;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR_KE = 0x3609;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR_NONCE = 0x360f;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR_NOTIFY = 0x3610;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR_PROP = 0x3607;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR_SA = 0x3606;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR_SIG = 0x360e;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR_TRANS = 0x3608;
        public const int ERROR_IPSEC_IKE_PROCESS_ERR_VENDOR = 0x3612;
        public const int ERROR_IPSEC_IKE_QM_ACQUIRE_DROP = 0x35f2;
        public const int ERROR_IPSEC_IKE_QM_DELAY_DROP = 0x35f7;
        public const int ERROR_IPSEC_IKE_QUEUE_DROP_MM = 0x35f3;
        public const int ERROR_IPSEC_IKE_QUEUE_DROP_NO_MM = 0x35f4;
        public const int ERROR_IPSEC_IKE_RPC_DELETE = 0x3635;
        public const int ERROR_IPSEC_IKE_SA_DELETED = 0x35ef;
        public const int ERROR_IPSEC_IKE_SA_REAPED = 0x35f0;
        public const int ERROR_IPSEC_IKE_SECLOADFAIL = 0x361c;
        public const int ERROR_IPSEC_IKE_SOFT_SA_TORN_DOWN = 0x3615;
        public const int ERROR_IPSEC_IKE_SRVACQFAIL = 0x361f;
        public const int ERROR_IPSEC_IKE_SRVQUERYCRED = 0x3620;
        public const int ERROR_IPSEC_IKE_TIMED_OUT = 0x35ed;
        public const int ERROR_IPSEC_IKE_UNKNOWN_DOI = 0x3626;
        public const int ERROR_IPSEC_IKE_UNSUPPORTED_ID = 0x362d;
        public const int ERROR_IPSEC_MM_AUTH_EXISTS = 0x32d2;
        public const int ERROR_IPSEC_MM_AUTH_IN_USE = 0x32d4;
        public const int ERROR_IPSEC_MM_AUTH_NOT_FOUND = 0x32d3;
        public const int ERROR_IPSEC_MM_AUTH_PENDING_DELETION = 0x32de;
        public const int ERROR_IPSEC_MM_FILTER_EXISTS = 0x32ce;
        public const int ERROR_IPSEC_MM_FILTER_NOT_FOUND = 0x32cf;
        public const int ERROR_IPSEC_MM_FILTER_PENDING_DELETION = 0x32da;
        public const int ERROR_IPSEC_MM_POLICY_EXISTS = 0x32cb;
        public const int ERROR_IPSEC_MM_POLICY_IN_USE = 0x32cd;
        public const int ERROR_IPSEC_MM_POLICY_NOT_FOUND = 0x32cc;
        public const int ERROR_IPSEC_MM_POLICY_PENDING_DELETION = 0x32dd;
        public const int ERROR_IPSEC_QM_POLICY_EXISTS = 0x32c8;
        public const int ERROR_IPSEC_QM_POLICY_IN_USE = 0x32ca;
        public const int ERROR_IPSEC_QM_POLICY_NOT_FOUND = 0x32c9;
        public const int ERROR_IPSEC_QM_POLICY_PENDING_DELETION = 0x32df;
        public const int ERROR_IPSEC_TRANSPORT_FILTER_EXISTS = 0x32d0;
        public const int ERROR_IPSEC_TRANSPORT_FILTER_NOT_FOUND = 0x32d1;
        public const int ERROR_IPSEC_TRANSPORT_FILTER_PENDING_DELETION = 0x32db;
        public const int ERROR_IPSEC_TUNNEL_FILTER_EXISTS = 0x32d8;
        public const int ERROR_IPSEC_TUNNEL_FILTER_NOT_FOUND = 0x32d9;
        public const int ERROR_IPSEC_TUNNEL_FILTER_PENDING_DELETION = 0x32dc;
        public const int ERROR_IRQ_BUSY = 0x45f;
        public const int ERROR_IS_JOIN_PATH = 0x93;
        public const int ERROR_IS_JOIN_TARGET = 0x85;
        public const int ERROR_IS_JOINED = 0x86;
        public const int ERROR_IS_SUBST_PATH = 0x92;
        public const int ERROR_IS_SUBST_TARGET = 0x95;
        public const int ERROR_IS_SUBSTED = 0x87;
        public const int ERROR_ITERATED_DATA_EXCEEDS_64k = 0xc2;
        public const int ERROR_JOIN_TO_JOIN = 0x8a;
        public const int ERROR_JOIN_TO_SUBST = 140;
        public const int ERROR_JOURNAL_DELETE_IN_PROGRESS = 0x49a;
        public const int ERROR_JOURNAL_ENTRY_DELETED = 0x49d;
        public const int ERROR_JOURNAL_HOOK_SET = 0x596;
        public const int ERROR_JOURNAL_NOT_ACTIVE = 0x49b;
        public const int ERROR_KEY_DELETED = 0x3fa;
        public const int ERROR_KEY_HAS_CHILDREN = 0x3fc;
        public const int ERROR_KM_DRIVER_BLOCKED = 0x78a;
        public const int ERROR_LABEL_TOO_Int32 = 0x9a;
        public const int ERROR_LAST_ADMIN = 0x52a;
        public const int ERROR_LB_WITHOUT_TABSTOPS = 0x59a;
        public const int ERROR_LIBRARY_FULL = 0x10e2;
        public const int ERROR_LIBRARY_OFFLINE = 0x10d1;
        public const int ERROR_LICENSE_QUOTA_EXCEEDED = 0x573;
        public const int ERROR_LISTBOX_ID_NOT_FOUND = 0x588;
        public const int ERROR_LM_CROSS_ENCRYPTION_REQUIRED = 0x56e;
        public const int ERROR_LOCAL_USER_SESSION_KEY = 0x517;
        public const int ERROR_LOCK_FAILED = 0xa7;
        public const int ERROR_LOCK_VIOLATION = 0x21;
        public const int ERROR_LOCKED = 0xd4;
        public const int ERROR_LOG_FILE_FULL = 0x5de;
        public const int ERROR_LOGIN_TIME_RESTRICTION = 0x4d7;
        public const int ERROR_LOGIN_WKSTA_RESTRICTION = 0x4d8;
        public const int ERROR_LOGON_FAILURE = 0x52e;
        public const int ERROR_LOGON_NOT_GRANTED = 0x564;
        public const int ERROR_LOGON_SESSION_COLLISION = 0x556;
        public const int ERROR_LOGON_SESSION_EXISTS = 0x553;
        public const int ERROR_LOGON_TYPE_NOT_GRANTED = 0x569;
        public const int ERROR_LUIDS_EXHAUSTED = 0x536;
        public const int ERROR_MACHINE_LOCKED = 0x4f7;
        public const int ERROR_MAGAZINE_NOT_PRESENT = 0x48b;
        public const int ERROR_MAPPED_ALIGNMENT = 0x46c;
        public const int ERROR_MAX_THRDS_REACHED = 0xa4;
        public const int ERROR_MEDIA_CHANGED = 0x456;
        public const int ERROR_MEDIA_INCOMPATIBLE = 0x10db;
        public const int ERROR_MEDIA_NOT_AVAILABLE = 0x10de;
        public const int ERROR_MEDIA_OFFLINE = 0x10d0;
        public const int ERROR_MEDIA_UNAVAILABLE = 0x10d4;
        public const int ERROR_MEDIUM_NOT_ACCESSIBLE = 0x10e3;
        public const int ERROR_MEMBER_IN_ALIAS = 0x562;
        public const int ERROR_MEMBER_IN_GROUP = 0x528;
        public const int ERROR_MEMBER_NOT_IN_ALIAS = 0x561;
        public const int ERROR_MEMBER_NOT_IN_GROUP = 0x529;
        public const int ERROR_MEMBERS_PRIMARY_GROUP = 0x55e;
        public const int ERROR_MENU_ITEM_NOT_FOUND = 0x5b0;
        public const int ERROR_MESSAGE_EXCEEDS_MAX_SIZE = 0x10f0;
        public const int ERROR_MESSAGE_SYNC_ONLY = 0x487;
        public const int ERROR_META_EXPANSION_TOO_Int32 = 0xd0;
        public const int ERROR_METAFILE_NOT_SUPPORTED = 0x7d3;
        public const int ERROR_MOD_NOT_FOUND = 0x7e;
        public const int ERROR_MORE_DATA = 0xea;
        public const int ERROR_MORE_WRITES = 0x460;
        public const int ERROR_MR_MID_NOT_FOUND = 0x13d;
        public const int ERROR_MUTUAL_AUTH_FAILED = 0x575;
        public const int ERROR_NEGATIVE_SEEK = 0x83;
        public const int ERROR_NESTING_NOT_ALLOWED = 0xd7;
        public const int ERROR_NET_WRITE_FAULT = 0x58;
        public const int ERROR_NETLOGON_NOT_STARTED = 0x700;
        public const int ERROR_NETNAME_DELETED = 0x40;
        public const int ERROR_NETWORK_ACCESS_DENIED = 0x41;
        public const int ERROR_NETWORK_BUSY = 0x36;
        public const int ERROR_NETWORK_NOT_AVAILABLE = 0x13ab;
        public const int ERROR_NETWORK_UNREACHABLE = 0x4cf;
        public const int ERROR_NO_ASSOCIATION = 0x483;
        public const int ERROR_NO_BROWSER_SERVERS_FOUND = 0x17e6;
        public const int ERROR_NO_DATA = 0xe8;
        public const int ERROR_NO_DATA_DETECTED = 0x450;
        public const int ERROR_NO_EFS = 0x1774;
        public const int ERROR_NO_IMPERSONATION_TOKEN = 0x51d;
        public const int ERROR_NO_INHERITANCE = 0x56f;
        public const int ERROR_NO_LOG_SPACE = 0x3fb;
        public const int ERROR_NO_LOGON_SERVERS = 0x51f;
        public const int ERROR_NO_MATCH = 0x491;
        public const int ERROR_NO_MEDIA_IN_DRIVE = 0x458;
        public const int ERROR_NO_MORE_DEVICES = 0x4e0;
        public const int ERROR_NO_MORE_FILES = 0x12;
        public const int ERROR_NO_MORE_ITEMS = 0x103;
        public const int ERROR_NO_MORE_SEARCH_HANDLES = 0x71;
        public const int ERROR_NO_MORE_USER_HANDLES = 0x486;
        public const int ERROR_NO_NET_OR_BAD_PATH = 0x4b3;
        public const int ERROR_NO_NETWORK = 0x4c6;
        public const int ERROR_NO_PROC_SLOTS = 0x59;
        public const int ERROR_NO_PROMOTION_ACTIVE = 0x201e;
        public const int ERROR_NO_QUOTAS_FOR_ACCOUNT = 0x516;
        public const int ERROR_NO_RECOVERY_POLICY = 0x1773;
        public const int ERROR_NO_RECOVERY_PROGRAM = 0x43a;
        public const int ERROR_NO_SCROLLBARS = 0x5a7;
        public const int ERROR_NO_SECURITY_ON_OBJECT = 0x546;
        public const int ERROR_NO_SHUTDOWN_IN_PROGRESS = 0x45c;
        public const int ERROR_NO_SIGNAL_SENT = 0xcd;
        public const int ERROR_NO_SITENAME = 0x77f;
        public const int ERROR_NO_SPOOL_SPACE = 0x3e;
        public const int ERROR_NO_SUCH_ALIAS = 0x560;
        public const int ERROR_NO_SUCH_DOMAIN = 0x54b;
        public const int ERROR_NO_SUCH_GROUP = 0x527;
        public const int ERROR_NO_SUCH_LOGON_SESSION = 0x520;
        public const int ERROR_NO_SUCH_MEMBER = 0x56b;
        public const int ERROR_NO_SUCH_PACKAGE = 0x554;
        public const int ERROR_NO_SUCH_PRIVILEGE = 0x521;
        public const int ERROR_NO_SUCH_SITE = 0x4e1;
        public const int ERROR_NO_SUCH_USER = 0x525;
        public const int ERROR_NO_SUPPORTING_DRIVES = 0x10f3;
        public const int ERROR_NO_SYSTEM_MENU = 0x59d;
        public const int ERROR_NO_SYSTEM_RESOURCES = 0x5aa;
        public const int ERROR_NO_TOKEN = 0x3f0;
        public const int ERROR_NO_TRACKING_SERVICE = 0x494;
        public const int ERROR_NO_TRUST_LSA_SECRET = 0x6fa;
        public const int ERROR_NO_TRUST_SAM_ACCOUNT = 0x6fb;
        public const int ERROR_NO_UNICODE_TRANSLATION = 0x459;
        public const int ERROR_NO_USER_KEYS = 0x1776;
        public const int ERROR_NO_USER_SESSION_KEY = 0x572;
        public const int ERROR_NO_VOLUME_ID = 0x495;
        public const int ERROR_NO_VOLUME_LABEL = 0x7d;
        public const int ERROR_NO_WILDCARD_CHARACTERS = 0x589;
        public const int ERROR_NOACCESS = 0x3e6;
        public const int ERROR_NODE_CANNOT_BE_CLUSTERED = 0x170a;
        public const int ERROR_NODE_CANT_HOST_RESOURCE = 0x13cf;
        public const int ERROR_NODE_NOT_AVAILABLE = 0x13ac;
        public const int ERROR_NOERROR = 0;
        public const int ERROR_NOLOGON_INTERDOMAIN_TRUST_ACCOUNT = 0x70f;
        public const int ERROR_NOLOGON_SERVER_TRUST_ACCOUNT = 0x711;
        public const int ERROR_NOLOGON_WORKSTATION_TRUST_ACCOUNT = 0x710;
        public const int ERROR_NON_ACCOUNT_SID = 0x4e9;
        public const int ERROR_NON_DOMAIN_SID = 0x4ea;
        public const int ERROR_NON_MDICHILD_WINDOW = 0x5a5;
        public const int ERROR_NONE_MAPPED = 0x534;
        public const int ERROR_NONPAGED_SYSTEM_RESOURCES = 0x5ab;
        public const int ERROR_NOT_A_REPARSE_POINT = 0x1126;
        public const int ERROR_NOT_ALL_ASSIGNED = 0x514;
        public const int ERROR_NOT_AUTHENTICATED = 0x4dc;
        public const int ERROR_NOT_CHILD_WINDOW = 0x5a2;
        public const int ERROR_NOT_CONNECTED = 0x8ca;
        public const int ERROR_NOT_CONTAINER = 0x4b7;
        public const int ERROR_NOT_DOS_DISK = 0x1a;
        public const int ERROR_NOT_EMPTY = 0x10d3;
        public const int ERROR_NOT_ENOUGH_MEMORY = 8;
        public const int ERROR_NOT_ENOUGH_QUOTA = 0x718;
        public const int ERROR_NOT_ENOUGH_SERVER_MEMORY = 0x46a;
        public const int ERROR_NOT_EXPORT_FORMAT = 0x1778;
        public const int ERROR_NOT_FOUND = 0x490;
        public const int ERROR_NOT_JOINED = 0x88;
        public const int ERROR_NOT_LOCKED = 0x9e;
        public const int ERROR_NOT_LOGGED_ON = 0x4dd;
        public const int ERROR_NOT_LOGON_PROCESS = 0x552;
        public const int ERROR_NOT_OWNER = 0x120;
        public const int ERROR_NOT_QUORUM_CAPABLE = 0x139d;
        public const int ERROR_NOT_QUORUM_CLASS = 0x13a1;
        public const int ERROR_NOT_READY = 0x15;
        public const int ERROR_NOT_REGISTRY_FILE = 0x3f9;
        public const int ERROR_NOT_SAFEBOOT_SERVICE = 0x43c;
        public const int ERROR_NOT_SAME_DEVICE = 0x11;
        public const int ERROR_NOT_SUBSTED = 0x89;
        public const int ERROR_NOT_SUPPORTED = 50;
        public const int ERROR_NOT_SUPPORTED_ON_SBS = 0x4e6;
        public const int ERROR_NOT_SUPPORTED_ON_STANDARD_SERVER = 0x2188;
        public const int ERROR_NOTIFY_ENUM_DIR = 0x3fe;
        public const int ERROR_NT_CROSS_ENCRYPTION_REQUIRED = 0x56a;
        public const int ERROR_NULL_LM_PASSUInt16 = 0x518;
        public const int ERROR_OBJECT_ALREADY_EXISTS = 0x1392;
        public const int ERROR_OBJECT_IN_LIST = 0x1393;
        public const int ERROR_OBJECT_NOT_FOUND = 0x10d8;
        public const int ERROR_OLD_WIN_VERSION = 0x47e;
        public const int ERROR_ONLY_IF_CONNECTED = 0x4e3;
        public const int ERROR_OPEN_FAILED = 110;
        public const int ERROR_OPEN_FILES = 0x961;
        public const int ERROR_OPERATION_ABORTED = 0x3e3;
        public const int ERROR_OPLOCK_NOT_GRANTED = 300;
        public const int ERROR_OUT_OF_PAPER = 0x1c;
        public const int ERROR_OUT_OF_STRUCTURES = 0x54;
        public const int ERROR_OUTOFMEMORY = 14;
        public const int ERROR_OVERRIDE_NOCHANGES = 0x4e4;
        public const int ERROR_PAGED_SYSTEM_RESOURCES = 0x5ac;
        public const int ERROR_PAGEFILE_QUOTA = 0x5ae;
        public const int ERROR_PARAMETER_QUOTA_EXCEEDED = 0x503;
        public const int ERROR_PARTIAL_COPY = 0x12b;
        public const int ERROR_PARTITION_FAILURE = 0x451;
        public const int ERROR_PASSUInt16_EXPIRED = 0x532;
        public const int ERROR_PASSUInt16_MUST_CHANGE = 0x773;
        public const int ERROR_PASSWORD_RESTRICTION = 0x52d;
        public const int ERROR_PATCH_PACKAGE_INVALID = 0x664;
        public const int ERROR_PATCH_PACKAGE_OPEN_FAILED = 0x663;
        public const int ERROR_PATCH_PACKAGE_REJECTED = 0x66b;
        public const int ERROR_PATCH_PACKAGE_UNSUPPORTED = 0x665;
        public const int ERROR_PATCH_TARGET_NOT_FOUND = 0x66a;
        public const int ERROR_PATH_BUSY = 0x94;
        public const int ERROR_PATH_NOT_FOUND = 3;
        public const int ERROR_PER_USER_TRUST_QUOTA_EXCEEDED = 0x78c;
        public const int ERROR_PIPE_BUSY = 0xe7;
        public const int ERROR_PIPE_CONNECTED = 0x217;
        public const int ERROR_PIPE_LISTENING = 0x218;
        public const int ERROR_PIPE_NOT_CONNECTED = 0xe9;
        public const int ERROR_PKINIT_FAILURE = 0x4ef;
        public const int ERROR_POINT_NOT_FOUND = 0x493;
        public const int ERROR_POLICY_OBJECT_NOT_FOUND = 0x201b;
        public const int ERROR_POLICY_ONLY_IN_DS = 0x201c;
        public const int ERROR_POPUP_ALREADY_ACTIVE = 0x5a6;
        public const int ERROR_PORT_UNREACHABLE = 0x4d2;
        public const int ERROR_POSSIBLE_DEADLOCK = 0x46b;
        public const int ERROR_POTENTIAL_FILE_FOUND = 0x49c;
        public const int ERROR_PRINT_CANCELLED = 0x3f;
        public const int ERROR_PRINT_MONITOR_ALREADY_INSTALLED = 0xbbe;
        public const int ERROR_PRINT_MONITOR_IN_USE = 0xbc0;
        public const int ERROR_PRINT_PROCESSOR_ALREADY_INSTALLED = 0xbbd;
        public const int ERROR_PRINTER_ALREADY_EXISTS = 0x70a;
        public const int ERROR_PRINTER_DELETED = 0x771;
        public const int ERROR_PRINTER_DRIVER_ALREADY_INSTALLED = 0x703;
        public const int ERROR_PRINTER_DRIVER_BLOCKED = 0xbc6;
        public const int ERROR_PRINTER_DRIVER_IN_USE = 0xbb9;
        public const int ERROR_PRINTER_DRIVER_WARNED = 0xbc5;
        public const int ERROR_PRINTER_HAS_JOBS_QUEUED = 0xbc1;
        public const int ERROR_PRINTER_NOT_FOUND = 0xbc4;
        public const int ERROR_PRINTQ_FULL = 0x3d;
        public const int ERROR_PRIVATE_DIALOG_INDEX = 0x587;
        public const int ERROR_PRIVILEGE_NOT_HELD = 0x522;
        public const int ERROR_PROC_NOT_FOUND = 0x7f;
        public const int ERROR_PROCESS_ABORTED = 0x42b;
        public const int ERROR_PRODUCT_UNINSTALLED = 0x64e;
        public const int ERROR_PRODUCT_VERSION = 0x666;
        public const int ERROR_PROFILE_NOT_ASSOCIATED_WITH_DEVICE = 0x7df;
        public const int ERROR_PROFILE_NOT_FOUND = 0x7e0;
        public const int ERROR_PROMOTION_ACTIVE = 0x201d;
        public const int ERROR_PROTOCOL_UNREACHABLE = 0x4d1;
        public const int ERROR_QUORUM_DISK_NOT_FOUND = 0x13de;
        public const int ERROR_QUORUM_OWNER_ALIVE = 0x13aa;
        public const int ERROR_QUORUM_RESOURCE = 0x139c;
        public const int ERROR_QUORUM_RESOURCE_ONLINE_FAILED = 0x13a3;
        public const int ERROR_QUORUMLOG_OPEN_FAILED = 0x13a4;
        public const int ERROR_READ_FAULT = 30;
        public const int ERROR_REC_NON_EXISTENT = 0xfa5;
        public const int ERROR_RECOVERY_FAILURE = 0x4ff;
        public const int ERROR_REDIR_PAUSED = 0x48;
        public const int ERROR_REDIRECTOR_HAS_OPEN_HANDLES = 0x702;
        public const int ERROR_REG_NAT_CONSUMPTION = 0x4ed;
        public const int ERROR_REGISTRY_CORRUPT = 0x3f7;
        public const int ERROR_REGISTRY_IO_FAILED = 0x3f8;
        public const int ERROR_REGISTRY_RECOVERED = 0x3f6;
        public const int ERROR_RELOC_CHAIN_XEEDS_SEGLIM = 0xc9;
        public const int ERROR_REM_NOT_LIST = 0x33;
        public const int ERROR_REMOTE_PRINT_CONNECTIONS_BLOCKED = 0x790;
        public const int ERROR_REMOTE_SESSION_LIMIT_EXCEEDED = 0x4c4;
        public const int ERROR_REMOTE_STORAGE_MEDIA_ERROR = 0x1100;
        public const int ERROR_REMOTE_STORAGE_NOT_ACTIVE = 0x10ff;
        public const int ERROR_REPARSE_ATTRIBUTE_CONFLICT = 0x1127;
        public const int ERROR_REPARSE_TAG_INVALID = 0x1129;
        public const int ERROR_REPARSE_TAG_MISMATCH = 0x112a;
        public const int ERROR_REQ_NOT_ACCEP = 0x47;
        public const int ERROR_REQUEST_ABORTED = 0x4d3;
        public const int ERROR_REQUEST_REFUSED = 0x10e0;
        public const int ERROR_REQUIRES_INTERACTIVE_WINDOWSTATION = 0x5b3;
        public const int ERROR_RESMON_CREATE_FAILED = 0x1399;
        public const int ERROR_RESMON_INVALID_STATE = 0x13dc;
        public const int ERROR_RESMON_ONLINE_FAILED = 0x139a;
        public const int ERROR_RESOURCE_DATA_NOT_FOUND = 0x714;
        public const int ERROR_RESOURCE_DISABLED = 0x10d5;
        public const int ERROR_RESOURCE_FAILED = 0x13ae;
        public const int ERROR_RESOURCE_LANG_NOT_FOUND = 0x717;
        public const int ERROR_RESOURCE_NAME_NOT_FOUND = 0x716;
        public const int ERROR_RESOURCE_NOT_AVAILABLE = 0x138e;
        public const int ERROR_RESOURCE_NOT_FOUND = 0x138f;
        public const int ERROR_RESOURCE_NOT_ONLINE = 0x138c;
        public const int ERROR_RESOURCE_NOT_PRESENT = 0x10dc;
        public const int ERROR_RESOURCE_ONLINE = 0x139b;
        public const int ERROR_RESOURCE_PROPERTIES_STORED = 0x13a0;
        public const int ERROR_RESOURCE_PROPERTY_UNCHANGEABLE = 0x13e1;
        public const int ERROR_RESOURCE_TYPE_NOT_FOUND = 0x715;
        public const int ERROR_RETRY = 0x4d5;
        public const int ERROR_REVISION_MISMATCH = 0x51a;
        public const int ERROR_RING2_STACK_IN_USE = 0xcf;
        public const int ERROR_RING2SEG_MUST_BE_MOVABLE = 200;
        public const int ERROR_RMODE_APP = 0x481;
        public const int ERROR_RPL_NOT_ALLOWED = 0xfa6;
        public const int ERROR_RXACT_COMMIT_FAILURE = 0x55a;
        public const int ERROR_RXACT_INVALID_STATE = 0x559;
        public const int ERROR_SAM_INIT_FAILURE = 0x215d;
        public const int ERROR_SAME_DRIVE = 0x8f;
        public const int ERROR_SCOPE_NOT_FOUND = 0x13e;
        public const int ERROR_SCREEN_ALREADY_LOCKED = 0x5a0;
        public const int ERROR_SECRET_TOO_Int32 = 0x566;
        public const int ERROR_SECTOR_NOT_FOUND = 0x1b;
        public const int ERROR_SEEK = 0x19;
        public const int ERROR_SEEK_ON_DEVICE = 0x84;
        public const int ERROR_SEM_IS_SET = 0x66;
        public const int ERROR_SEM_NOT_FOUND = 0xbb;
        public const int ERROR_SEM_OWNER_DIED = 0x69;
        public const int ERROR_SEM_TIMEOUT = 0x79;
        public const int ERROR_SEM_USER_LIMIT = 0x6a;
        public const int ERROR_SERIAL_NO_DEVICE = 0x45e;
        public const int ERROR_SERVER_DISABLED = 0x53d;
        public const int ERROR_SERVER_HAS_OPEN_HANDLES = 0x713;
        public const int ERROR_SERVER_NOT_DISABLED = 0x53e;
        public const int ERROR_SERVER_SHUTDOWN_IN_PROGRESS = 0x4e7;
        public const int ERROR_SERVICE_ALREADY_RUNNING = 0x420;
        public const int ERROR_SERVICE_CANNOT_ACCEPT_CTRL = 0x425;
        public const int ERROR_SERVICE_DATABASE_LOCKED = 0x41f;
        public const int ERROR_SERVICE_DEPENDENCY_DELETED = 0x433;
        public const int ERROR_SERVICE_DEPENDENCY_FAIL = 0x42c;
        public const int ERROR_SERVICE_DISABLED = 0x422;
        public const int ERROR_SERVICE_DOES_NOT_EXIST = 0x424;
        public const int ERROR_SERVICE_EXISTS = 0x431;
        public const int ERROR_SERVICE_LOGON_FAILED = 0x42d;
        public const int ERROR_SERVICE_MARKED_FOR_DELETE = 0x430;
        public const int ERROR_SERVICE_NEVER_STARTED = 0x435;
        public const int ERROR_SERVICE_NO_THREAD = 0x41e;
        public const int ERROR_SERVICE_NOT_ACTIVE = 0x426;
        public const int ERROR_SERVICE_NOT_FOUND = 0x4db;
        public const int ERROR_SERVICE_NOT_IN_EXE = 0x43b;
        public const int ERROR_SERVICE_REQUEST_TIMEOUT = 0x41d;
        public const int ERROR_SERVICE_SPECIFIC_ERROR = 0x42a;
        public const int ERROR_SERVICE_START_HANG = 0x42e;
        public const int ERROR_SESSION_CREDENTIAL_CONFLICT = 0x4c3;
        public const int ERROR_SET_NOT_FOUND = 0x492;
        public const int ERROR_SET_POWER_STATE_FAILED = 0x475;
        public const int ERROR_SET_POWER_STATE_VETOED = 0x474;
        public const int ERROR_SETCOUNT_ON_BAD_LB = 0x599;
        public const int ERROR_SETMARK_DETECTED = 0x44f;
        public const int ERROR_SHARED_POLICY = 0x201a;
        public const int ERROR_SHARING_BUFFER_EXCEEDED = 0x24;
        public const int ERROR_SHARING_PAUSED = 70;
        public const int ERROR_SHARING_VIOLATION = 0x20;
        public const int ERROR_SHUTDOWN_CLUSTER = 0x1390;
        public const int ERROR_SHUTDOWN_IN_PROGRESS = 0x45b;
        public const int ERROR_SIGNAL_PENDING = 0xa2;
        public const int ERROR_SIGNAL_REFUSED = 0x9c;
        public const int ERROR_SINGLE_INSTANCE_APP = 0x480;
        public const int ERROR_SMARTCARD_SUBSYSTEM_FAILURE = 0x4f0;
        public const int ERROR_SOME_NOT_MAPPED = 0x515;
        public const int ERROR_SOURCE_ELEMENT_EMPTY = 0x488;
        public const int ERROR_SPECIAL_ACCOUNT = 0x55b;
        public const int ERROR_SPECIAL_GROUP = 0x55c;
        public const int ERROR_SPECIAL_USER = 0x55d;
        public const int ERROR_SPL_NO_ADDJOB = 0xbbc;
        public const int ERROR_SPL_NO_STARTDOC = 0xbbb;
        public const int ERROR_SPOOL_FILE_NOT_FOUND = 0xbba;
        public const int ERROR_STACK_BUFFER_OVERRUN = 0x502;
        public const int ERROR_STACK_OVERFLOW = 0x3e9;
        public const int ERROR_STATIC_INIT = 0xfa2;
        public const int ERROR_SUBST_TO_JOIN = 0x8d;
        public const int ERROR_SUBST_TO_SUBST = 0x8b;
        public const int ERROR_SUCCESS = 0;
        public const int ERROR_SUCCESS_REBOOT_INITIATED = 0x669;
        public const int ERROR_SUCCESS_REBOOT_REQUIRED = 0xbc2;
        public const int ERROR_SUCCESS_RESTART_REQUIRED = 0xbc3;
        public const int ERROR_SWAPERROR = 0x3e7;
        public const int ERROR_SXS_ACTIVATION_CONTEXT_DISABLED = 0x36b6;
        public const int ERROR_SXS_ASSEMBLY_NOT_FOUND = 0x36b3;
        public const int ERROR_SXS_CANT_GEN_ACTCTX = 0x36b1;
        public const int ERROR_SXS_DUPLICATE_ASSEMBLY_NAME = 0x36cb;
        public const int ERROR_SXS_DUPLICATE_CLSID = 0x36c7;
        public const int ERROR_SXS_DUPLICATE_DLL_NAME = 0x36c5;
        public const int ERROR_SXS_DUPLICATE_IID = 0x36c8;
        public const int ERROR_SXS_DUPLICATE_PROGID = 0x36ca;
        public const int ERROR_SXS_DUPLICATE_TLBID = 0x36c9;
        public const int ERROR_SXS_DUPLICATE_WINDOWCLASS_NAME = 0x36c6;
        public const int ERROR_SXS_FILE_HASH_MISMATCH = 0x36cc;
        public const int ERROR_SXS_INVALID_ACTCTXDATA_FORMAT = 0x36b2;
        public const int ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE = 0x36c1;
        public const int ERROR_SXS_INVALID_ASSEMBLY_IDENTITY_ATTRIBUTE_NAME = 0x3700;
        public const int ERROR_SXS_INVALID_XML_NAMESPACE_URI = 0x36be;
        public const int ERROR_SXS_KEY_NOT_FOUND = 0x36b7;
        public const int ERROR_SXS_LEAF_MANIFEST_DEPENDENCY_NOT_INSTALLED = 0x36c0;
        public const int ERROR_SXS_MANIFEST_FORMAT_ERROR = 0x36b4;
        public const int ERROR_SXS_MANIFEST_INVALID_REQUIRED_DEFAULT_NAMESPACE = 0x36c3;
        public const int ERROR_SXS_MANIFEST_MISSING_REQUIRED_DEFAULT_NAMESPACE = 0x36c2;
        public const int ERROR_SXS_MANIFEST_PARSE_ERROR = 0x36b5;
        public const int ERROR_SXS_MISSING_ASSEMBLY_IDENTITY_ATTRIBUTE = 0x36ff;
        public const int ERROR_SXS_POLICY_PARSE_ERROR = 0x36cd;
        public const int ERROR_SXS_PRIVATE_MANIFEST_CROSS_PATH_WITH_REPARSE_POINT = 0x36c4;
        public const int ERROR_SXS_PROCESS_DEFAULT_ALREADY_SET = 0x36bb;
        public const int ERROR_SXS_PROTECTION_CATALOG_FILE_MISSING = 0x36fe;
        public const int ERROR_SXS_PROTECTION_CATALOG_NOT_VALID = 0x36fc;
        public const int ERROR_SXS_PROTECTION_PUBLIC_KEY_TOO_Int16 = 0x36fb;
        public const int ERROR_SXS_PROTECTION_RECOVERY_FAILED = 0x36fa;
        public const int ERROR_SXS_ROOT_MANIFEST_DEPENDENCY_NOT_INSTALLED = 0x36bf;
        public const int ERROR_SXS_SECTION_NOT_FOUND = 0x36b0;
        public const int ERROR_SXS_THREAD_QUERIES_DISABLED = 0x36ba;
        public const int ERROR_SXS_UNKNOWN_ENCODING = 0x36bd;
        public const int ERROR_SXS_UNKNOWN_ENCODING_GROUP = 0x36bc;
        public const int ERROR_SXS_UNTRANSLATABLE_HRESULT = 0x36fd;
        public const int ERROR_SXS_VERSION_CONFLICT = 0x36b8;
        public const int ERROR_SXS_WRONG_SECTION_TYPE = 0x36b9;
        public const int ERROR_SXS_XML_E_BADCHARDATA = 0x36d4;
        public const int ERROR_SXS_XML_E_BADCHARINSTRING = 0x36d2;
        public const int ERROR_SXS_XML_E_BADNAMECHAR = 0x36d1;
        public const int ERROR_SXS_XML_E_BADPEREFINSUBSET = 0x36eb;
        public const int ERROR_SXS_XML_E_BADSTARTNAMECHAR = 0x36d0;
        public const int ERROR_SXS_XML_E_BADXMLCASE = 0x36f5;
        public const int ERROR_SXS_XML_E_BADXMLDECL = 0x36e8;
        public const int ERROR_SXS_XML_E_COMMENTSYNTAX = 0x36cf;
        public const int ERROR_SXS_XML_E_DUPLICATEATTRIBUTE = 0x36e5;
        public const int ERROR_SXS_XML_E_EXPECTINGCLOSEQUOTE = 0x36dd;
        public const int ERROR_SXS_XML_E_EXPECTINGTAGEND = 0x36d6;
        public const int ERROR_SXS_XML_E_INCOMPLETE_ENCODING = 0x36db;
        public const int ERROR_SXS_XML_E_INTERNALERROR = 0x36d9;
        public const int ERROR_SXS_XML_E_INVALID_DECIMAL = 0x36df;
        public const int ERROR_SXS_XML_E_INVALID_HEXIDECIMAL = 0x36e0;
        public const int ERROR_SXS_XML_E_INVALID_STANDALONE = 0x36f6;
        public const int ERROR_SXS_XML_E_INVALID_UNICODE = 0x36e1;
        public const int ERROR_SXS_XML_E_INVALID_VERSION = 0x36f8;
        public const int ERROR_SXS_XML_E_INVALIDATROOTLEVEL = 0x36e7;
        public const int ERROR_SXS_XML_E_INVALIDENCODING = 0x36f3;
        public const int ERROR_SXS_XML_E_INVALIDSWITCH = 0x36f4;
        public const int ERROR_SXS_XML_E_MISSING_PAREN = 0x36dc;
        public const int ERROR_SXS_XML_E_MISSINGEQUALS = 0x36f9;
        public const int ERROR_SXS_XML_E_MISSINGQUOTE = 0x36ce;
        public const int ERROR_SXS_XML_E_MISSINGROOT = 0x36e9;
        public const int ERROR_SXS_XML_E_MISSINGSEMICOLON = 0x36d7;
        public const int ERROR_SXS_XML_E_MISSINGWHITESPACE = 0x36d5;
        public const int ERROR_SXS_XML_E_MULTIPLE_COLONS = 0x36de;
        public const int ERROR_SXS_XML_E_MULTIPLEROOTS = 0x36e6;
        public const int ERROR_SXS_XML_E_RESERVEDNAMESPACE = 0x36f2;
        public const int ERROR_SXS_XML_E_UNBALANCEDPAREN = 0x36d8;
        public const int ERROR_SXS_XML_E_UNCLOSEDCDATA = 0x36f1;
        public const int ERROR_SXS_XML_E_UNCLOSEDCOMMENT = 0x36ef;
        public const int ERROR_SXS_XML_E_UNCLOSEDDECL = 0x36f0;
        public const int ERROR_SXS_XML_E_UNCLOSEDENDTAG = 0x36ed;
        public const int ERROR_SXS_XML_E_UNCLOSEDSTARTTAG = 0x36ec;
        public const int ERROR_SXS_XML_E_UNCLOSEDSTRING = 0x36ee;
        public const int ERROR_SXS_XML_E_UNCLOSEDTAG = 0x36e4;
        public const int ERROR_SXS_XML_E_UNEXPECTED_STANDALONE = 0x36f7;
        public const int ERROR_SXS_XML_E_UNEXPECTED_WHITESPACE = 0x36da;
        public const int ERROR_SXS_XML_E_UNEXPECTEDENDTAG = 0x36e3;
        public const int ERROR_SXS_XML_E_UNEXPECTEDEOF = 0x36ea;
        public const int ERROR_SXS_XML_E_WHITESPACEORQUESTIONMARK = 0x36e2;
        public const int ERROR_SXS_XML_E_XMLDECLSYNTAX = 0x36d3;
        public const int ERROR_SYNC_FOREGROUND_REFRESH_REQUIRED = 0x4fa;
        public const int ERROR_SYSTEM_TRACE = 150;
        public const int ERROR_TAG_NOT_FOUND = 0x7dc;
        public const int ERROR_TAG_NOT_PRESENT = 0x7dd;
        public const int ERROR_THREAD_1_INACTIVE = 210;
        public const int ERROR_TIME_SKEW = 0x576;
        public const int ERROR_TIMEOUT = 0x5b4;
        public const int ERROR_TLW_WITH_WSCHILD = 0x57e;
        public const int ERROR_TOKEN_ALREADY_IN_USE = 0x55f;
        public const int ERROR_TOO_MANY_CMDS = 0x38;
        public const int ERROR_TOO_MANY_CONTEXT_IDS = 0x568;
        public const int ERROR_TOO_MANY_LINKS = 0x476;
        public const int ERROR_TOO_MANY_LUIDS_REQUESTED = 0x535;
        public const int ERROR_TOO_MANY_MODULES = 0xd6;
        public const int ERROR_TOO_MANY_MUXWAITERS = 0x98;
        public const int ERROR_TOO_MANY_NAMES = 0x44;
        public const int ERROR_TOO_MANY_OPEN_FILES = 4;
        public const int ERROR_TOO_MANY_POSTS = 0x12a;
        public const int ERROR_TOO_MANY_SECRETS = 0x565;
        public const int ERROR_TOO_MANY_SEM_REQUESTS = 0x67;
        public const int ERROR_TOO_MANY_SEMAPHORES = 100;
        public const int ERROR_TOO_MANY_SESS = 0x45;
        public const int ERROR_TOO_MANY_SIDS = 0x56d;
        public const int ERROR_TOO_MANY_TCBS = 0x9b;
        public const int ERROR_TRANSFORM_NOT_SUPPORTED = 0x7d4;
        public const int ERROR_TRANSPORT_FULL = 0x10e8;
        public const int ERROR_TRUST_FAILURE = 0x6fe;
        public const int ERROR_TRUSTED_DOMAIN_FAILURE = 0x6fc;
        public const int ERROR_TRUSTED_RELATIONSHIP_FAILURE = 0x6fd;
        public const int ERROR_UNABLE_TO_CLEAN = 0x10d7;
        public const int ERROR_UNABLE_TO_EJECT_MOUNTED_MEDIA = 0x10ea;
        public const int ERROR_UNABLE_TO_INVENTORY_DRIVE = 0x10e5;
        public const int ERROR_UNABLE_TO_INVENTORY_SLOT = 0x10e6;
        public const int ERROR_UNABLE_TO_INVENTORY_TRANSPORT = 0x10e7;
        public const int ERROR_UNABLE_TO_LOAD_MEDIUM = 0x10e4;
        public const int ERROR_UNABLE_TO_LOCK_MEDIA = 0x454;
        public const int ERROR_UNABLE_TO_MOVE_REPLACEMENT = 0x498;
        public const int ERROR_UNABLE_TO_MOVE_REPLACEMENT_2 = 0x499;
        public const int ERROR_UNABLE_TO_REMOVE_REPLACED = 0x497;
        public const int ERROR_UNABLE_TO_UNLOAD_MEDIA = 0x455;
        public const int ERROR_UNEXP_NET_ERR = 0x3b;
        public const int ERROR_UNEXPECTED_OMID = 0x10ee;
        public const int ERROR_UNKNOWN_COMPONENT = 0x647;
        public const int ERROR_UNKNOWN_FEATURE = 0x646;
        public const int ERROR_UNKNOWN_PORT = 0x704;
        public const int ERROR_UNKNOWN_PRINT_MONITOR = 0xbb8;
        public const int ERROR_UNKNOWN_PRINTER_DRIVER = 0x705;
        public const int ERROR_UNKNOWN_PRINTPROCESSOR = 0x706;
        public const int ERROR_UNKNOWN_PRODUCT = 0x645;
        public const int ERROR_UNKNOWN_PROPERTY = 0x648;
        public const int ERROR_UNKNOWN_REVISION = 0x519;
        public const int ERROR_UNRECOGNIZED_MEDIA = 0x6f9;
        public const int ERROR_UNRECOGNIZED_VOLUME = 0x3ed;
        public const int ERROR_UNSUPPORTED_TYPE = 0x65e;
        public const int ERROR_USER_DELETE_TRUST_QUOTA_EXCEEDED = 0x78e;
        public const int ERROR_USER_EXISTS = 0x524;
        public const int ERROR_USER_MAPPED_FILE = 0x4c8;
        public const int ERROR_VC_DISCONNECTED = 240;
        public const int ERROR_VDM_DISALLOWED = 0x506;
        public const int ERROR_VOLUME_CONTAINS_SYS_FILES = 0x10f1;
        public const int ERROR_VOLUME_NOT_SIS_ENABLED = 0x1194;
        public const int ERROR_VOLUME_NOT_SUPPORT_EFS = 0x177e;
        public const int ERROR_WAIT_NO_CHILDREN = 0x80;
        public const int ERROR_WINDOW_NOT_COMBOBOX = 0x58f;
        public const int ERROR_WINDOW_NOT_DIALOG = 0x58c;
        public const int ERROR_WINDOW_OF_OTHER_THREAD = 0x580;
        public const int ERROR_WINS_INTERNAL = 0xfa0;
        public const int ERROR_WMI_ALREADY_DISABLED = 0x1074;
        public const int ERROR_WMI_ALREADY_ENABLED = 0x106e;
        public const int ERROR_WMI_DP_FAILED = 0x1071;
        public const int ERROR_WMI_DP_NOT_FOUND = 0x106c;
        public const int ERROR_WMI_GUID_DISCONNECTED = 0x106f;
        public const int ERROR_WMI_GUID_NOT_FOUND = 0x1068;
        public const int ERROR_WMI_INSTANCE_NOT_FOUND = 0x1069;
        public const int ERROR_WMI_INVALID_MOF = 0x1072;
        public const int ERROR_WMI_INVALID_REGINFO = 0x1073;
        public const int ERROR_WMI_ITEMID_NOT_FOUND = 0x106a;
        public const int ERROR_WMI_READ_ONLY = 0x1075;
        public const int ERROR_WMI_SERVER_UNAVAILABLE = 0x1070;
        public const int ERROR_WMI_SET_FAILURE = 0x1076;
        public const int ERROR_WMI_TRY_AGAIN = 0x106b;
        public const int ERROR_WMI_UNRESOLVED_INSTANCE_REF = 0x106d;
        public const int ERROR_WORKING_SET_QUOTA = 0x5ad;
        public const int ERROR_WRITE_FAULT = 0x1d;
        public const int ERROR_WRITE_PROTECT = 0x13;
        public const int ERROR_WRONG_DISK = 0x22;
        public const int ERROR_WRONG_EFS = 0x1775;
        public const int ERROR_WRONG_PASSWORD = 0x52b;
        public const int ERROR_WRONG_TARGET_NAME = 0x574;
    }
}

