namespace Win32.Constants
{
    using System;

    public static class HWND
    {
        static HWND()
        {
            HWND.HWND_BROADCAST = new IntPtr(0xffff);
            HWND.HWND_TOP = new IntPtr(0);
            HWND.HWND_BOTTOM = new IntPtr(1);
            HWND.HWND_TOPMOST = new IntPtr(-1);
            HWND.HWND_NOTOPMOST = new IntPtr(-2);
            HWND.HWND_MESSAGE = new IntPtr(-3);
        }


        public static readonly IntPtr HWND_BOTTOM;
        public static readonly IntPtr HWND_BROADCAST;
        public static readonly IntPtr HWND_MESSAGE;
        public static readonly IntPtr HWND_NOTOPMOST;
        public static readonly IntPtr HWND_TOP;
        public static readonly IntPtr HWND_TOPMOST;
    }
}

