namespace Win32.Constants
{
    using System;

    public static class RPC
    {
        public const int RPC_E_ACCESS_DENIED = -2147417829;
        public const int RPC_E_ATTEMPTED_MULTITHREAD = -2147417854;
        public const int RPC_E_CALL_CANCELED = -2147418110;
        public const int RPC_E_CALL_COMPLETE = -2147417833;
        public const int RPC_E_CALL_REJECTED = -2147418111;
        public const int RPC_E_CANTCALLOUT_AGAIN = -2147418095;
        public const int RPC_E_CANTCALLOUT_INASYNCCALL = -2147418108;
        public const int RPC_E_CANTCALLOUT_INEXTERNALCALL = -2147418107;
        public const int RPC_E_CANTCALLOUT_ININPUTSYNCCALL = -2147417843;
        public const int RPC_E_CANTPOST_INSENDCALL = -2147418109;
        public const int RPC_E_CANTTRANSMIT_CALL = -2147418102;
        public const int RPC_E_CHANGED_MODE = -2147417850;
        public const int RPC_E_CLIENT_CANTMARSHAL_DATA = -2147418101;
        public const int RPC_E_CLIENT_CANTUNMARSHAL_DATA = -2147418100;
        public const int RPC_E_CLIENT_DIED = -2147418104;
        public const int RPC_E_CONNECTION_TERMINATED = -2147418106;
        public const int RPC_E_DISCONNECTED = -2147417848;
        public const int RPC_E_FAULT = -2147417852;
        public const int RPC_E_FULLSIC_REQUIRED = -2147417823;
        public const int RPC_E_INVALID_CALLDATA = -2147417844;
        public const int RPC_E_INVALID_DATA = -2147418097;
        public const int RPC_E_INVALID_DATAPACKET = -2147418103;
        public const int RPC_E_INVALID_EXTENSION = -2147417838;
        public const int RPC_E_INVALID_HEADER = -2147417839;
        public const int RPC_E_INVALID_IPID = -2147417837;
        public const int RPC_E_INVALID_OBJECT = -2147417836;
        public const int RPC_E_INVALID_OBJREF = -2147417827;
        public const int RPC_E_INVALID_PARAMETER = -2147418096;
        public const int RPC_E_INVALID_STD_NAME = -2147417822;
        public const int RPC_E_INVALIDMETHOD = -2147417849;
        public const int RPC_E_NO_CONTEXT = -2147417826;
        public const int RPC_E_NO_GOOD_SECURITY_PACKAGES = -2147417830;
        public const int RPC_E_NO_SYNC = -2147417824;
        public const int RPC_E_NOT_REGISTERED = -2147417853;
        public const int RPC_E_OUT_OF_RESOURCES = -2147417855;
        public const int RPC_E_REMOTE_DISABLED = -2147417828;
        public const int RPC_E_RETRY = -2147417847;
        public const int RPC_E_SERVER_CANTMARSHAL_DATA = -2147418099;
        public const int RPC_E_SERVER_CANTUNMARSHAL_DATA = -2147418098;
        public const int RPC_E_SERVER_DIED = -2147418105;
        public const int RPC_E_SERVER_DIED_DNE = -2147418094;
        public const int RPC_E_SERVERCALL_REJECTED = -2147417845;
        public const int RPC_E_SERVERCALL_RETRYLATER = -2147417846;
        public const int RPC_E_SERVERFAULT = -2147417851;
        public const int RPC_E_SYS_CALL_FAILED = -2147417856;
        public const int RPC_E_THREAD_NOT_INIT = -2147417841;
        public const int RPC_E_TIMEOUT = -2147417825;
        public const int RPC_E_TOO_LATE = -2147417831;
        public const int RPC_E_UNEXPECTED = -2147352577;
        public const int RPC_E_UNSECURE_CALL = -2147417832;
        public const int RPC_E_VERSION_MISMATCH = -2147417840;
        public const int RPC_E_WRONG_THREAD = -2147417842;
        public const int RPC_S_ADDRESS_ERROR = 0x6e8;
        public const int RPC_S_ALREADY_LISTENING = 0x6b1;
        public const int RPC_S_ALREADY_REGISTERED = 0x6af;
        public const int RPC_S_BINDING_HAS_NO_AUTH = 0x6d2;
        public const int RPC_S_BINDING_INCOMPLETE = 0x71b;
        public const int RPC_S_CALL_CANCELLED = 0x71a;
        public const int RPC_S_CALL_FAILED = 0x6be;
        public const int RPC_S_CALL_FAILED_DNE = 0x6bf;
        public const int RPC_S_CALL_IN_PROGRESS = 0x6ff;
        public const int RPC_S_CALLPENDING = -2147417835;
        public const int RPC_S_CANNOT_SUPPORT = 0x6e4;
        public const int RPC_S_CANT_CREATE_ENDPOINT = 0x6b8;
        public const int RPC_S_COMM_FAILURE = 0x71c;
        public const int RPC_S_DUPLICATE_ENDPOINT = 0x6cc;
        public const int RPC_S_ENTRY_ALREADY_EXISTS = 0x6e0;
        public const int RPC_S_ENTRY_NOT_FOUND = 0x6e1;
        public const int RPC_S_ENTRY_TYPE_MISMATCH = 0x782;
        public const int RPC_S_FP_DIV_ZERO = 0x6e9;
        public const int RPC_S_FP_OVERFLOW = 0x6eb;
        public const int RPC_S_FP_UNDERFLOW = 0x6ea;
        public const int RPC_S_GROUP_MEMBER_NOT_FOUND = 0x76a;
        public const int RPC_S_GRP_ELT_NOT_ADDED = 0x788;
        public const int RPC_S_GRP_ELT_NOT_REMOVED = 0x789;
        public const int RPC_S_INCOMPLETE_NAME = 0x6db;
        public const int RPC_S_INTERFACE_NOT_EXPORTED = 0x784;
        public const int RPC_S_INTERFACE_NOT_FOUND = 0x6df;
        public const int RPC_S_INTERNAL_ERROR = 0x6e6;
        public const int RPC_S_INVALID_ASYNC_CALL = 0x77b;
        public const int RPC_S_INVALID_ASYNC_HANDLE = 0x77a;
        public const int RPC_S_INVALID_AUTH_IDENTITY = 0x6d5;
        public const int RPC_S_INVALID_BINDING = 0x6a6;
        public const int RPC_S_INVALID_BOUND = 0x6c6;
        public const int RPC_S_INVALID_ENDPOINT_FORMAT = 0x6aa;
        public const int RPC_S_INVALID_NAF_ID = 0x6e3;
        public const int RPC_S_INVALID_NAME_SYNTAX = 0x6c8;
        public const int RPC_S_INVALID_NET_ADDR = 0x6ab;
        public const int RPC_S_INVALID_NETWORK_OPTIONS = 0x6bc;
        public const int RPC_S_INVALID_OBJECT = 0x76c;
        public const int RPC_S_INVALID_RPC_PROTSEQ = 0x6a8;
        public const int RPC_S_INVALID_STRING_BINDING = 0x6a4;
        public const int RPC_S_INVALID_STRING_UUID = 0x6a9;
        public const int RPC_S_INVALID_TAG = 0x6c5;
        public const int RPC_S_INVALID_TIMEOUT = 0x6ad;
        public const int RPC_S_INVALID_VERS_OPTION = 0x6dc;
        public const int RPC_S_MAX_CALLS_TOO_SMALL = 0x6ce;
        public const int RPC_S_NAME_SERVICE_UNAVAILABLE = 0x6e2;
        public const int RPC_S_NO_BINDINGS = 0x6b6;
        public const int RPC_S_NO_CALL_ACTIVE = 0x6bd;
        public const int RPC_S_NO_CONTEXT_AVAILABLE = 0x6e5;
        public const int RPC_S_NO_ENDPOINT_FOUND = 0x6ac;
        public const int RPC_S_NO_ENTRY_NAME = 0x6c7;
        public const int RPC_S_NO_INTERFACES = 0x719;
        public const int RPC_S_NO_MORE_BINDINGS = 0x70e;
        public const int RPC_S_NO_MORE_MEMBERS = 0x6dd;
        public const int RPC_S_NO_PRINC_NAME = 0x71e;
        public const int RPC_S_NO_PROTSEQS = 0x6b7;
        public const int RPC_S_NO_PROTSEQS_REGISTERED = 0x6b2;
        public const int RPC_S_NOT_ALL_OBJS_EXPORTED = 0x783;
        public const int RPC_S_NOT_ALL_OBJS_UNEXPORTED = 0x6de;
        public const int RPC_S_NOT_CANCELLED = 0x722;
        public const int RPC_S_NOT_LISTENING = 0x6b3;
        public const int RPC_S_NOT_RPC_ERROR = 0x71f;
        public const int RPC_S_NOTHING_TO_EXPORT = 0x6da;
        public const int RPC_S_OBJECT_NOT_FOUND = 0x6ae;
        public const int RPC_S_OUT_OF_RESOURCES = 0x6b9;
        public const int RPC_S_PRF_ELT_NOT_ADDED = 0x786;
        public const int RPC_S_PRF_ELT_NOT_REMOVED = 0x787;
        public const int RPC_S_PROCNUM_OUT_OF_RANGE = 0x6d1;
        public const int RPC_S_PROFILE_NOT_ADDED = 0x785;
        public const int RPC_S_PROTOCOL_ERROR = 0x6c0;
        public const int RPC_S_PROTSEQ_NOT_FOUND = 0x6d0;
        public const int RPC_S_PROTSEQ_NOT_SUPPORTED = 0x6a7;
        public const int RPC_S_SEC_PKG_ERROR = 0x721;
        public const int RPC_S_SEND_INCOMPLETE = 0x779;
        public const int RPC_S_SERVER_TOO_BUSY = 0x6bb;
        public const int RPC_S_SERVER_UNAVAILABLE = 0x6ba;
        public const int RPC_S_STRING_TOO_Int32 = 0x6cf;
        public const int RPC_S_TYPE_ALREADY_REGISTERED = 0x6b0;
        public const int RPC_S_UNKNOWN_AUTHN_LEVEL = 0x6d4;
        public const int RPC_S_UNKNOWN_AUTHN_SERVICE = 0x6d3;
        public const int RPC_S_UNKNOWN_AUTHN_TYPE = 0x6cd;
        public const int RPC_S_UNKNOWN_AUTHZ_SERVICE = 0x6d6;
        public const int RPC_S_UNKNOWN_IF = 0x6b5;
        public const int RPC_S_UNKNOWN_MGR_TYPE = 0x6b4;
        public const int RPC_S_UNSUPPORTED_AUTHN_LEVEL = 0x71d;
        public const int RPC_S_UNSUPPORTED_NAME_SYNTAX = 0x6c9;
        public const int RPC_S_UNSUPPORTED_TRANS_SYN = 0x6c2;
        public const int RPC_S_UNSUPPORTED_TYPE = 0x6c4;
        public const int RPC_S_UUID_LOCAL_ONLY = 0x720;
        public const int RPC_S_UUID_NO_ADDRESS = 0x6cb;
        public const int RPC_S_WAITONTIMER = -2147417834;
        public const int RPC_S_WRONG_KIND_OF_BINDING = 0x6a5;
        public const int RPC_S_ZERO_DIVIDE = 0x6e7;
        public const int RPC_X_BAD_STUB_DATA = 0x6f7;
        public const int RPC_X_BYTE_COUNT_TOO_SMALL = 0x6f6;
        public const int RPC_X_ENUM_VALUE_OUT_OF_RANGE = 0x6f5;
        public const int RPC_X_INVALID_ES_ACTION = 0x723;
        public const int RPC_X_INVALID_PIPE_OBJECT = 0x726;
        public const int RPC_X_NO_MORE_ENTRIES = 0x6ec;
        public const int RPC_X_NULL_REF_POINTER = 0x6f4;
        public const int RPC_X_PIPE_CLOSED = 0x77c;
        public const int RPC_X_PIPE_DISCIPLINE_ERROR = 0x77d;
        public const int RPC_X_PIPE_EMPTY = 0x77e;
        public const int RPC_X_SS_CANNOT_GET_CALL_HANDLE = 0x6f3;
        public const int RPC_X_SS_CHAR_TRANS_Int16_FILE = 0x6ee;
        public const int RPC_X_SS_CHAR_TRANS_OPEN_FAIL = 0x6ed;
        public const int RPC_X_SS_CONTEXT_DAMAGED = 0x6f1;
        public const int RPC_X_SS_HANDLES_MISMATCH = 0x6f2;
        public const int RPC_X_SS_IN_NULL_CONTEXT = 0x6ef;
        public const int RPC_X_WRONG_ES_VERSION = 0x724;
        public const int RPC_X_WRONG_PIPE_ORDER = 0x727;
        public const int RPC_X_WRONG_PIPE_VERSION = 0x728;
        public const int RPC_X_WRONG_STUB_VERSION = 0x725;
    }
}

