namespace Win32.Constants
{
    using System;

    public static class DNS
    {
        public const int DNS_ERROR_AUTOZONE_ALREADY_EXISTS = 0x258a;
        public const int DNS_ERROR_AXFR = 0x2618;
        public const int DNS_ERROR_BAD_PACKET = 0x251e;
        public const int DNS_ERROR_CANNOT_FIND_ROOT_HINTS = 0x255c;
        public const int DNS_ERROR_CNAME_COLLISION = 0x25ed;
        public const int DNS_ERROR_CNAME_LOOP = 0x25eb;
        public const int DNS_ERROR_DATABASE_BASE = 0x25e4;
        public const int DNS_ERROR_DATAFILE_BASE = 0x25b2;
        public const int DNS_ERROR_DATAFILE_OPEN_FAILURE = 0x25b5;
        public const int DNS_ERROR_DATAFILE_PARSING = 0x25b7;
        public const int DNS_ERROR_DP_ALREADY_ENLISTED = 0x26b0;
        public const int DNS_ERROR_DP_ALREADY_EXISTS = 0x26ae;
        public const int DNS_ERROR_DP_BASE = 0x26ac;
        public const int DNS_ERROR_DP_DOES_NOT_EXIST = 0x26ad;
        public const int DNS_ERROR_DP_NOT_AVAILABLE = 0x26b1;
        public const int DNS_ERROR_DP_NOT_ENLISTED = 0x26af;
        public const int DNS_ERROR_DS_UNAVAILABLE = 0x25f5;
        public const int DNS_ERROR_DS_ZONE_ALREADY_EXISTS = 0x25f6;
        public const int DNS_ERROR_FILE_WRITEBACK_FAILED = 0x25b6;
        public const int DNS_ERROR_FORWARDER_ALREADY_EXISTS = 0x2593;
        public const int DNS_ERROR_GENERAL_API_BASE = 0x254e;
        public const int DNS_ERROR_INCONSISTENT_ROOT_HINTS = 0x255d;
        public const int DNS_ERROR_INVALID_DATA = 13;
        public const int DNS_ERROR_INVALID_DATAFILE_NAME = 0x25b4;
        public const int DNS_ERROR_INVALID_IP_ADDRESS = 0x2550;
        public const int DNS_ERROR_INVALID_NAME = 0x7b;
        public const int DNS_ERROR_INVALID_NAME_CHAR = 0x2558;
        public const int DNS_ERROR_INVALID_PROPERTY = 0x2551;
        public const int DNS_ERROR_INVALID_TYPE = 0x254f;
        public const int DNS_ERROR_INVALID_ZONE_OPERATION = 0x2583;
        public const int DNS_ERROR_INVALID_ZONE_TYPE = 0x258b;
        public const int DNS_ERROR_NAME_DOES_NOT_EXIST = 0x25f2;
        public const int DNS_ERROR_NAME_NOT_IN_ZONE = 0x25ea;
        public const int DNS_ERROR_NBSTAT_INIT_FAILED = 0x2591;
        public const int DNS_ERROR_NEED_SECONDARY_ADDRESSES = 0x258e;
        public const int DNS_ERROR_NEED_WINS_SERVERS = 0x2590;
        public const int DNS_ERROR_NO_BOOTFILE_IF_DS_ZONE = 0x25f7;
        public const int DNS_ERROR_NO_CREATE_CACHE_DATA = 0x25f1;
        public const int DNS_ERROR_NO_DNS_SERVERS = 0x267c;
        public const int DNS_ERROR_NO_MEMORY = 14;
        public const int DNS_ERROR_NO_PACKET = 0x251f;
        public const int DNS_ERROR_NO_TCPIP = 0x267b;
        public const int DNS_ERROR_NO_ZONE_INFO = 0x2582;
        public const int DNS_ERROR_NODE_CREATION_FAILED = 0x25e7;
        public const int DNS_ERROR_NODE_IS_CNAME = 0x25ec;
        public const int DNS_ERROR_NON_RFC_NAME = 0x2554;
        public const int DNS_ERROR_NOT_ALLOWED_ON_ROOT_SERVER = 0x255a;
        public const int DNS_ERROR_NOT_ALLOWED_UNDER_DELEGATION = 0x255b;
        public const int DNS_ERROR_NOT_UNIQUE = 0x2553;
        public const int DNS_ERROR_NUMERIC_NAME = 0x2559;
        public const int DNS_ERROR_OPERATION_BASE = 0x2616;
        public const int DNS_ERROR_PACKET_FMT_BASE = 0x251c;
        public const int DNS_ERROR_PRIMARY_REQUIRES_DATAFILE = 0x25b3;
        public const int DNS_ERROR_RCODE = 0x2520;
        public const int DNS_ERROR_RCODE_BADKEY = 0x2339;
        public const int DNS_ERROR_RCODE_BADSIG = 0x2338;
        public const int DNS_ERROR_RCODE_BADTIME = 0x233a;
        public const int DNS_ERROR_RCODE_FORMAT_ERROR = 0x2329;
        public const int DNS_ERROR_RCODE_NAME_ERROR = 0x232b;
        public const int DNS_ERROR_RCODE_NOT_IMPLEMENTED = 0x232c;
        public const int DNS_ERROR_RCODE_NOTAUTH = 0x2331;
        public const int DNS_ERROR_RCODE_NOTZONE = 0x2332;
        public const int DNS_ERROR_RCODE_NXRRSET = 0x2330;
        public const int DNS_ERROR_RCODE_REFUSED = 0x232d;
        public const int DNS_ERROR_RCODE_SERVER_FAILURE = 0x232a;
        public const int DNS_ERROR_RCODE_YXDOMAIN = 0x232e;
        public const int DNS_ERROR_RCODE_YXRRSET = 0x232f;
        public const int DNS_ERROR_RECORD_ALREADY_EXISTS = 0x25ef;
        public const int DNS_ERROR_RECORD_DOES_NOT_EXIST = 0x25e5;
        public const int DNS_ERROR_RECORD_FORMAT = 0x25e6;
        public const int DNS_ERROR_RECORD_ONLY_AT_ZONE_ROOT = 0x25ee;
        public const int DNS_ERROR_RECORD_TIMED_OUT = 0x25e9;
        public const int DNS_ERROR_RESPONSE_CODES_BASE = 0x2328;
        public const int DNS_ERROR_SECONDARY_DATA = 0x25f0;
        public const int DNS_ERROR_SECONDARY_REQUIRES_MASTER_IP = 0x258c;
        public const int DNS_ERROR_SECURE_BASE = 0x2648;
        public const int DNS_ERROR_SETUP_BASE = 0x267a;
        public const int DNS_ERROR_SOA_DELETE_INVALID = 0x2592;
        public const int DNS_ERROR_TRY_AGAIN_LATER = 0x2552;
        public const int DNS_ERROR_UNKNOWN_RECORD_TYPE = 0x25e8;
        public const int DNS_ERROR_UNSECURE_PACKET = 0x2521;
        public const int DNS_ERROR_WINS_INIT_FAILED = 0x258f;
        public const int DNS_ERROR_ZONE_ALREADY_EXISTS = 0x2589;
        public const int DNS_ERROR_ZONE_BASE = 0x2580;
        public const int DNS_ERROR_ZONE_CONFIGURATION_ERROR = 0x2584;
        public const int DNS_ERROR_ZONE_CREATION_FAILED = 0x2588;
        public const int DNS_ERROR_ZONE_DOES_NOT_EXIST = 0x2581;
        public const int DNS_ERROR_ZONE_HAS_NO_NS_RECORDS = 0x2586;
        public const int DNS_ERROR_ZONE_HAS_NO_SOA_RECORD = 0x2585;
        public const int DNS_ERROR_ZONE_IS_SHUTDOWN = 0x2595;
        public const int DNS_ERROR_ZONE_LOCKED = 0x2587;
        public const int DNS_ERROR_ZONE_NOT_SECONDARY = 0x258d;
        public const int DNS_ERROR_ZONE_REQUIRES_MASTER_IP = 0x2594;
        public const int DNS_INFO_ADDED_LOCAL_WINS = 0x2619;
        public const int DNS_INFO_AXFR_COMPLETE = 0x2617;
        public const int DNS_INFO_NO_RECORDS = 0x251d;
        public const int DNS_STATUS_CONTINUE_NEEDED = 0x2649;
        public const int DNS_STATUS_DOTTED_NAME = 0x2556;
        public const int DNS_STATUS_FQDN = 0x2555;
        public const int DNS_STATUS_SINGLE_PART_NAME = 0x2557;
        public const int DNS_WARNING_DOMAIN_UNDELETED = 0x25f4;
        public const int DNS_WARNING_PTR_CREATE_FAILED = 0x25f3;
    }
}

