namespace Win32.Constants
{
    using System;

    public static class MAPI
    {
        static MAPI()
        {
            MAPI.lhSessionNull = IntPtr.Zero;
        }


        public static readonly IntPtr lhSessionNull;
        public const uint MAPI_AB_NOMODIFY = 0x400;
        public const uint MAPI_BCC = 3;
        public const uint MAPI_BODY_AS_FILE = 0x200;
        public const uint MAPI_CC = 2;
        public const uint MAPI_DIALOG = 8;
        public const uint MAPI_E_ACCESS_DENIED = 6;
        public const uint MAPI_E_AMBIG_RECIP = 0x15;
        public const uint MAPI_E_AMBIGUOUS_RECIPIENT = 0x15;
        public const uint MAPI_E_ATTACHMENT_NOT_FOUND = 11;
        public const uint MAPI_E_ATTACHMENT_OPEN_FAILURE = 12;
        public const uint MAPI_E_ATTACHMENT_WRITE_FAILURE = 13;
        public const uint MAPI_E_BAD_RECIPTYPE = 15;
        public const uint MAPI_E_DISK_FULL = 4;
        public const uint MAPI_E_FAILURE = 2;
        public const uint MAPI_E_INSUFFICIENT_MEMORY = 5;
        public const uint MAPI_E_INVALID_EDITFIELDS = 0x18;
        public const uint MAPI_E_INVALID_MESSAGE = 0x11;
        public const uint MAPI_E_INVALID_RECIPS = 0x19;
        public const uint MAPI_E_INVALID_SESSION = 0x13;
        public const uint MAPI_E_LOGIN_FAILURE = 3;
        public const uint MAPI_E_LOGON_FAILURE = 3;
        public const uint MAPI_E_MESSAGE_IN_USE = 0x16;
        public const uint MAPI_E_NETWORK_FAILURE = 0x17;
        public const uint MAPI_E_NO_MESSAGES = 0x10;
        public const uint MAPI_E_NOT_SUPPORTED = 0x1a;
        public const uint MAPI_E_TEXT_TOO_LARGE = 0x12;
        public const uint MAPI_E_TOO_MANY_FILES = 9;
        public const uint MAPI_E_TOO_MANY_RECIPIENTS = 10;
        public const uint MAPI_E_TOO_MANY_SESSIONS = 8;
        public const uint MAPI_E_TYPE_NOT_SUPPORTED = 20;
        public const uint MAPI_E_UNKNOWN_RECIPIENT = 14;
        public const uint MAPI_E_USER_ABORT = 1;
        public const uint MAPI_ENVELOPE_ONLY = 0x40;
        public const uint MAPI_EXTENDED = 0x20;
        public const uint MAPI_FORCE_DOWNLOAD = 0x1000;
        public const uint MAPI_GUARANTEE_FIFO = 0x100;
        public const uint MAPI_LOGON_UI = 1;
        public const uint MAPI_LONG_MSGID = 0x4000;
        public const uint MAPI_NEW_SESSION = 2;
        public const uint MAPI_NO_MAIL = 0x8000;
        public const uint MAPI_OLE = 1;
        public const uint MAPI_OLE_static = 2;
        public const uint MAPI_ORIG = 0;
        public const uint MAPI_PASSWORD_UI = 0x20000;
        public const uint MAPI_PEEK = 0x80;
        public const uint MAPI_RECEIPT_REQUESTED = 2;
        public const uint MAPI_SENT = 4;
        public const uint MAPI_SUCCESS_SUCCESS = 0;
        public const uint MAPI_SUPPRESS_ATTACH = 0x800;
        public const uint MAPI_TO = 1;
        public const uint MAPI_UNREAD = 1;
        public const uint MAPI_UNREAD_ONLY = 0x20;
        public const uint MAPI_USER_ABORT = 1;
    }
}

