namespace Win32.Constants
{
    using System;

    public static class NERR
    {
        public const int NERR_AccountExpired = 0x8bf;
        public const int NERR_AccountLockedOut = 0xa8e;
        public const int NERR_AccountUndefined = 0x8be;
        public const int NERR_AcctLimitExceeded = 0x982;
        public const int NERR_ACFFileIOFail = 0x8b5;
        public const int NERR_ACFNoParent = 0x8b8;
        public const int NERR_ACFNoRoom = 0x8b4;
        public const int NERR_ACFNotFound = 0x8ab;
        public const int NERR_ACFNotLoaded = 0x8b3;
        public const int NERR_ACFTooManyLists = 0x8b6;
        public const int NERR_ActiveConns = 0x962;
        public const int NERR_AddForwarded = 0x8e3;
        public const int NERR_AlertExists = 0x97e;
        public const int NERR_AlreadyExists = 0x8e4;
        public const int NERR_AlreadyForwarded = 0x8e2;
        public const int NERR_AlreadyLoggedOn = 0x898;
        public const int NERR_BadAsgType = 0x8cb;
        public const int NERR_BadComponent = 0x934;
        public const int NERR_BadControlRecv = 0x891;
        public const int NERR_BadDest = 0x94e;
        public const int NERR_BadDev = 0x925;
        public const int NERR_BadDevString = 0x924;
        public const int NERR_BadDosFunction = 0x9c6;
        public const int NERR_BadDosRetCode = 0x9c4;
        public const int NERR_BadEventName = 0x85f;
        public const int NERR_BadFileCheckSum = 0x9c8;
        public const int NERR_BadPassword = 0x89b;
        public const int NERR_BadPasswordCore = 0x963;
        public const int NERR_BadQueueDevString = 0x91e;
        public const int NERR_BadQueuePriority = 0x91f;
        public const int NERR_BadReceive = 0x8ea;
        public const int NERR_BadRecipient = 0x981;
        public const int NERR_BadServiceName = 0x889;
        public const int NERR_BadServiceProgName = 0x88c;
        public const int NERR_BadSource = 0x94d;
        public const int NERR_BadTransactConfig = 0x85d;
        public const int NERR_BadUasConfig = 0x992;
        public const int NERR_BadUsername = 0x89a;
        public const int NERR_Base = 0x834;
        public const int NERR_BrowserConfiguredToNotRun = 0x9f6;
        public const int NERR_BrowserNotStarted = 0x85b;
        public const int NERR_BrowserTableIncomplete = 0x90f;
        public const int NERR_BufTooSmall = 0x84b;
        public const int NERR_CallingRplSrvr = 0x9d3;
        public const int NERR_CanNotGrowSegment = 0x8b9;
        public const int NERR_CanNotGrowUASFile = 0x998;
        public const int NERR_CantConnectRplSrvr = 0x9d1;
        public const int NERR_CantOpenImageFile = 0x9d2;
        public const int NERR_CantType = 0x935;
        public const int NERR_CfgCompNotFound = 0x862;
        public const int NERR_CfgParamNotFound = 0x863;
        public const int NERR_ClientNameNotFound = 0x908;
        public const int NERR_CommDevInUse = 0x927;
        public const int NERR_ComputerAccountNotFound = 0xa89;
        public const int NERR_DatabaseUpToDate = 0x8c8;
        public const int NERR_DataTypeInvalid = 0x877;
        public const int NERR_DCNotFound = 0x995;
        public const int NERR_DefaultJoinRequired = 0xa86;
        public const int NERR_DelComputerName = 0x8e6;
        public const int NERR_DeleteLater = 0x8fa;
        public const int NERR_DestExists = 0x869;
        public const int NERR_DestIdle = 0x86e;
        public const int NERR_DestInvalidOp = 0x86f;
        public const int NERR_DestInvalidState = 0x872;
        public const int NERR_DestNoRoom = 0x86d;
        public const int NERR_DestNotFound = 0x868;
        public const int NERR_DeviceIsShared = 0x8cc;
        public const int NERR_DeviceNotShared = 0x907;
        public const int NERR_DeviceShareConflict = 0x90e;
        public const int NERR_DevInUse = 0x964;
        public const int NERR_DevInvalidOpCode = 0x91b;
        public const int NERR_DevNotFound = 0x91c;
        public const int NERR_DevNotOpen = 0x91d;
        public const int NERR_DevNotRedirected = 0x83b;
        public const int NERR_DfsAlreadyShared = 0xa68;
        public const int NERR_DfsBadRenamePath = 0xa6f;
        public const int NERR_DfsCantCreateJunctionPoint = 0xa6d;
        public const int NERR_DfsCantRemoveDfsRoot = 0xa7a;
        public const int NERR_DfsCantRemoveLastServerShare = 0xa75;
        public const int NERR_DfsChildOrParentInDfs = 0xa7b;
        public const int NERR_DfsCyclicalName = 0xa72;
        public const int NERR_DfsDataIsIdentical = 0xa79;
        public const int NERR_DfsDuplicateService = 0xa74;
        public const int NERR_DfsInconsistent = 0xa77;
        public const int NERR_DfsInternalCorruption = 0xa64;
        public const int NERR_DfsInternalError = 0xa82;
        public const int NERR_DfsLeafVolume = 0xa6b;
        public const int NERR_DfsNoSuchServer = 0xa71;
        public const int NERR_DfsNoSuchShare = 0xa69;
        public const int NERR_DfsNoSuchVolume = 0xa66;
        public const int NERR_DfsNotALeafVolume = 0xa6a;
        public const int NERR_DfsNotSupportedInServerDfs = 0xa73;
        public const int NERR_DfsServerNotDfsAware = 0xa6e;
        public const int NERR_DfsServerUpgraded = 0xa78;
        public const int NERR_DfsVolumeAlreadyExists = 0xa67;
        public const int NERR_DfsVolumeDataCorrupt = 0xa65;
        public const int NERR_DfsVolumeHasMultipleServers = 0xa6c;
        public const int NERR_DfsVolumeIsInterDfs = 0xa76;
        public const int NERR_DfsVolumeIsOffline = 0xa70;
        public const int NERR_DifferentServers = 0x94f;
        public const int NERR_DriverNotFound = 0x876;
        public const int NERR_DuplicateName = 0x8f9;
        public const int NERR_DuplicateShare = 0x846;
        public const int NERR_DupNameReboot = 0x860;
        public const int NERR_ErrCommRunSrv = 0x955;
        public const int NERR_ErrorExecingGhost = 0x957;
        public const int NERR_ExecFailure = 0x90b;
        public const int NERR_FileIdNotFound = 0x90a;
        public const int NERR_GroupExists = 0x8af;
        public const int NERR_GroupNotFound = 0x8ac;
        public const int NERR_GrpMsgProcessor = 0x8e8;
        public const int NERR_ImageParamErr = 0x9cc;
        public const int NERR_IncompleteDel = 0x8fb;
        public const int NERR_InternalError = 0x85c;
        public const int NERR_InUseBySpooler = 0x926;
        public const int NERR_InvalidAPI = 0x85e;
        public const int NERR_InvalidComputer = 0x92f;
        public const int NERR_InvalidDatabase = 0x8c7;
        public const int NERR_InvalidDevice = 0x8f6;
        public const int NERR_InvalidLana = 0x960;
        public const int NERR_InvalidLogonHours = 0x8c1;
        public const int NERR_InvalidLogSeek = 0x988;
        public const int NERR_InvalidMaxUsers = 0x84a;
        public const int NERR_InvalidUASOp = 0x993;
        public const int NERR_InvalidWorkgroupName = 0xa87;
        public const int NERR_InvalidWorkstation = 0x8c0;
        public const int NERR_IsDfsShare = 0x911;
        public const int NERR_ItemNotFound = 0x843;
        public const int NERR_JobInvalidState = 0x874;
        public const int NERR_JobNoRoom = 0x86c;
        public const int NERR_JobNotFound = 0x867;
        public const int NERR_LanmanIniError = 0x853;
        public const int NERR_LastAdmin = 0x994;
        public const int NERR_LineTooLong = 0x865;
        public const int NERR_LocalDrive = 0x965;
        public const int NERR_LocalForward = 0x8e7;
        public const int NERR_LogFileChanged = 0x94a;
        public const int NERR_LogFileCorrupt = 0x94b;
        public const int NERR_LogonDomainExists = 0x8a8;
        public const int NERR_LogonNoUserPath = 0x8a3;
        public const int NERR_LogonScriptError = 0x8a4;
        public const int NERR_LogonServerConflict = 0x8a2;
        public const int NERR_LogonServerNotFound = 0x8a7;
        public const int NERR_LogonsPaused = 0x8a1;
        public const int NERR_LogonTrackingError = 0x996;
        public const int NERR_LogOverflow = 0x949;
        public const int NERR_MaxLenExceeded = 0x932;
        public const int NERR_MsgAlreadyStarted = 0x8df;
        public const int NERR_MsgInitFailed = 0x8e0;
        public const int NERR_MsgNotStarted = 0x8ec;
        public const int NERR_MultipleNets = 0x8fc;
        public const int NERR_NameInUse = 0x8eb;
        public const int NERR_NameNotForwarded = 0x8f0;
        public const int NERR_NameNotFound = 0x8e1;
        public const int NERR_NameUsesIncompatibleCodePage = 0xa88;
        public const int NERR_NetlogonNotStarted = 0x997;
        public const int NERR_NetNameNotFound = 0x906;
        public const int NERR_NetNotStarted = 0x836;
        public const int NERR_NetworkError = 0x858;
        public const int NERR_NoAlternateServers = 0x9a3;
        public const int NERR_NoCommDevs = 0x921;
        public const int NERR_NoComputerName = 0x8de;
        public const int NERR_NoForwardName = 0x8ee;
        public const int NERR_NonDosFloppyUsed = 0x9ce;
        public const int NERR_NoNetworkResource = 0x839;
        public const int NERR_NonValidatedLogon = 0x8a9;
        public const int NERR_NoRoom = 0x847;
        public const int NERR_NoRplBootSystem = 0x9c9;
        public const int NERR_NoSuchAlert = 0x980;
        public const int NERR_NoSuchConnection = 0x99e;
        public const int NERR_NoSuchServer = 0x99c;
        public const int NERR_NoSuchSession = 0x99d;
        public const int NERR_NotInCache = 0x8bb;
        public const int NERR_NotInDispatchTbl = 0x890;
        public const int NERR_NotLocalDomain = 0x910;
        public const int NERR_NotLocalName = 0x8ed;
        public const int NERR_NotLoggedOn = 0x899;
        public const int NERR_NotPrimary = 0x8b2;
        public const int NERR_OpenFiles = 0x961;
        public const int NERR_PasswordCantChange = 0x8c3;
        public const int NERR_PasswordExpired = 0x8c2;
        public const int NERR_PasswordFilterError = 0xa91;
        public const int NERR_PasswordHistConflict = 0x8c4;
        public const int NERR_PasswordMismatch = 0x99a;
        public const int NERR_PasswordMustChange = 0xa8d;
        public const int NERR_PasswordNotComplexEnough = 0xa90;
        public const int NERR_PasswordTooLong = 0xa8f;
        public const int NERR_PasswordTooRecent = 0x8c6;
        public const int NERR_PasswordTooShort = 0x8c5;
        public const int NERR_PausedRemote = 0x8e9;
        public const int NERR_PersonalSku = 0xa8a;
        public const int NERR_ProcNoRespond = 0x870;
        public const int NERR_ProcNotFound = 0x878;
        public const int NERR_ProfileCleanup = 0x944;
        public const int NERR_ProfileFileTooBig = 0x942;
        public const int NERR_ProfileLoadErr = 0x946;
        public const int NERR_ProfileOffset = 0x943;
        public const int NERR_ProfileSaveErr = 0x947;
        public const int NERR_ProfileUnknownCmd = 0x945;
        public const int NERR_ProgNeedsExtraMem = 0x9c5;
        public const int NERR_QExists = 0x86a;
        public const int NERR_QinvalidState = 0x873;
        public const int NERR_QNoRoom = 0x86b;
        public const int NERR_QNotFound = 0x866;
        public const int NERR_QueueNotFound = 0x922;
        public const int NERR_RedirectedPath = 0x845;
        public const int NERR_RemoteBootFailed = 0x9c7;
        public const int NERR_RemoteErr = 0x84f;
        public const int NERR_RemoteFull = 0x8ef;
        public const int NERR_RemoteOnly = 0x83a;
        public const int NERR_ResourceExists = 0x8b1;
        public const int NERR_ResourceNotFound = 0x8ae;
        public const int NERR_RPL_CONNECTED = 0x9d7;
        public const int NERR_RplAdapterInfoCorrupted = 0xa41;
        public const int NERR_RplAdapterNameUnavailable = 0xa49;
        public const int NERR_RplAdapterNotFound = 0xa4d;
        public const int NERR_RplBackupDatabase = 0xa4c;
        public const int NERR_RplBadDatabase = 0xa34;
        public const int NERR_RplBadRegistry = 0xa33;
        public const int NERR_RplBootInfoCorrupted = 0xa44;
        public const int NERR_RplBootInUse = 0xa4b;
        public const int NERR_RplBootNameUnavailable = 0xa50;
        public const int NERR_RplBootNotFound = 0xa47;
        public const int NERR_RplBootRestart = 0x9cf;
        public const int NERR_RplBootServiceTerm = 0x9d5;
        public const int NERR_RplBootStartFailed = 0x9d6;
        public const int NERR_RplCannotEnum = 0xa37;
        public const int NERR_RplConfigInfoCorrupted = 0xa3f;
        public const int NERR_RplConfigNameUnavailable = 0xa51;
        public const int NERR_RplConfigNotEmpty = 0xa4a;
        public const int NERR_RplConfigNotFound = 0xa40;
        public const int NERR_RplIncompatibleProfile = 0xa48;
        public const int NERR_RplInternal = 0xa42;
        public const int NERR_RplLoadrDiskErr = 0x9cb;
        public const int NERR_RplLoadrNetBiosErr = 0x9ca;
        public const int NERR_RplNeedsRPLUSERAcct = 0xa46;
        public const int NERR_RplNoAdaptersStarted = 0xa32;
        public const int NERR_RplNotRplServer = 0xa36;
        public const int NERR_RplProfileInfoCorrupted = 0xa3b;
        public const int NERR_RplProfileNameUnavailable = 0xa3d;
        public const int NERR_RplProfileNotEmpty = 0xa3e;
        public const int NERR_RplProfileNotFound = 0xa3c;
        public const int NERR_RplRplfilesShare = 0xa35;
        public const int NERR_RplSrvrCallFailed = 0x9d0;
        public const int NERR_RplVendorInfoCorrupted = 0xa43;
        public const int NERR_RplVendorNameUnavailable = 0xa4f;
        public const int NERR_RplVendorNotFound = 0xa4e;
        public const int NERR_RplWkstaInfoCorrupted = 0xa38;
        public const int NERR_RplWkstaNameUnavailable = 0xa3a;
        public const int NERR_RplWkstaNeedsUserAcct = 0xa45;
        public const int NERR_RplWkstaNotFound = 0xa39;
        public const int NERR_RunSrvPaused = 0x951;
        public const int NERR_ServerNotStarted = 0x842;
        public const int NERR_ServiceCtlBusy = 0x88b;
        public const int NERR_ServiceCtlNotValid = 0x88f;
        public const int NERR_ServiceCtlTimeout = 0x88a;
        public const int NERR_ServiceEntryLocked = 0x887;
        public const int NERR_ServiceInstalled = 0x886;
        public const int NERR_ServiceKillProc = 0x88e;
        public const int NERR_ServiceNotCtrl = 0x88d;
        public const int NERR_ServiceNotInstalled = 0x888;
        public const int NERR_ServiceNotStarting = 0x892;
        public const int NERR_ServiceTableFull = 0x885;
        public const int NERR_ServiceTableLocked = 0x884;
        public const int NERR_SetupAlreadyJoined = 0xa83;
        public const int NERR_SetupDomainController = 0xa85;
        public const int NERR_SetupNotJoined = 0xa84;
        public const int NERR_ShareMem = 0x838;
        public const int NERR_ShareNotFound = 0x958;
        public const int NERR_SourceIsDir = 0x94c;
        public const int NERR_SpeGroupOp = 0x8ba;
        public const int NERR_SpoolerNotLoaded = 0x871;
        public const int NERR_SpoolNoMemory = 0x875;
        public const int NERR_StandaloneLogon = 0x8a6;
        public const int NERR_StartingRplBoot = 0x9d4;
        public const int NERR_Success = 0;
        public const int NERR_SyncRequired = 0x8c9;
        public const int NERR_TimeDiffAtDC = 0x999;
        public const int NERR_TmpFile = 0x90c;
        public const int NERR_TooManyAlerts = 0x97f;
        public const int NERR_TooManyConnections = 0x9a1;
        public const int NERR_TooManyEntries = 0x93a;
        public const int NERR_TooManyFiles = 0x9a2;
        public const int NERR_TooManyImageParams = 0x9cd;
        public const int NERR_TooManyItems = 0x849;
        public const int NERR_TooManyNames = 0x8e5;
        public const int NERR_TooManyServers = 0x99f;
        public const int NERR_TooManySessions = 0x9a0;
        public const int NERR_TooMuchData = 0x90d;
        public const int NERR_TruncatedBroadcast = 0x8f1;
        public const int NERR_TryDownLevel = 0x9a6;
        public const int NERR_UnableToAddName_F = 0x89d;
        public const int NERR_UnableToAddName_W = 0x89c;
        public const int NERR_UnableToDelName_F = 0x89f;
        public const int NERR_UnableToDelName_W = 0x89e;
        public const int NERR_UnknownDevDir = 0x844;
        public const int NERR_UnknownServer = 0x837;
        public const int NERR_UPSDriverNotStarted = 0x9b0;
        public const int NERR_UPSInvalidCommPort = 0x9b2;
        public const int NERR_UPSInvalidConfig = 0x9b1;
        public const int NERR_UPSShutdownFailed = 0x9b4;
        public const int NERR_UPSSignalAsserted = 0x9b3;
        public const int NERR_UseNotFound = 0x8ca;
        public const int NERR_UserExists = 0x8b0;
        public const int NERR_UserInGroup = 0x8bc;
        public const int NERR_UserLogon = 0x8b7;
        public const int NERR_UserNotFound = 0x8ad;
        public const int NERR_UserNotInGroup = 0x8bd;
        public const int NERR_WkstaInconsistentState = 0x859;
        public const int NERR_WkstaNotStarted = 0x85a;
        public const int NERR_WriteFault = 0x8f7;
    }
}

