namespace Win32.Constants
{
    using System;

    public static class SEC
    {
        public const int SEC_E_ALGORITHM_MISMATCH = -2146893007;
        public const int SEC_E_BAD_BINDINGS = -2146892986;
        public const int SEC_E_BAD_PKGID = -2146893034;
        public const int SEC_E_BUFFER_TOO_SMALL = -2146893023;
        public const int SEC_E_CANNOT_INSTALL = -2146893049;
        public const int SEC_E_CANNOT_PACK = -2146893047;
        public const int SEC_E_CERT_EXPIRED = -2146893016;
        public const int SEC_E_CERT_UNKNOWN = -2146893017;
        public const int SEC_E_CERT_WRONG_USAGE = -2146892983;
        public const int SEC_E_CONTEXT_EXPIRED = -2146893033;
        public const int SEC_E_CROSSREALM_DELEGATION_FAILURE = -2146892969;
        public const int SEC_E_CRYPTO_SYSTEM_INVALID = -2146893001;
        public const int SEC_E_DECRYPT_FAILURE = -2146893008;
        public const int SEC_E_DELEGATION_REQUIRED = -2146892987;
        public const int SEC_E_DOWNGRADE_DETECTED = -2146892976;
        public const int SEC_E_ENCRYPT_FAILURE = -2146893015;
        public const int SEC_E_ILLEGAL_MESSAGE = -2146893018;
        public const int SEC_E_INCOMPLETE_CREDENTIALS = -2146893024;
        public const int SEC_E_INCOMPLETE_MESSAGE = -2146893032;
        public const int SEC_E_INSUFFICIENT_MEMORY = -2146893056;
        public const int SEC_E_INTERNAL_ERROR = -2146893052;
        public const int SEC_E_INVALID_HANDLE = -2146893055;
        public const int SEC_E_INVALID_TOKEN = -2146893048;
        public const int SEC_E_ISSUING_CA_UNTRUSTED = -2146892974;
        public const int SEC_E_KDC_INVALID_REQUEST = -2146892992;
        public const int SEC_E_KDC_UNABLE_TO_REFER = -2146892991;
        public const int SEC_E_KDC_UNKNOWN_ETYPE = -2146892990;
        public const int SEC_E_LOGON_DENIED = -2146893044;
        public const int SEC_E_MAX_REFERRALS_EXCEEDED = -2146893000;
        public const int SEC_E_MESSAGE_ALTERED = -2146893041;
        public const int SEC_E_MULTIPLE_ACCOUNTS = -2146892985;
        public const int SEC_E_MUST_BE_KDC = -2146892999;
        public const int SEC_E_NO_AUTHENTICATING_AUTHORITY = -2146893039;
        public const int SEC_E_NO_CREDENTIALS = -2146893042;
        public const int SEC_E_NO_IMPERSONATION = -2146893045;
        public const int SEC_E_NO_IP_ADDRESSES = -2146893003;
        public const int SEC_E_NO_KERB_KEY = -2146892984;
        public const int SEC_E_NO_PA_DATA = -2146892996;
        public const int SEC_E_NO_S4U_PROT_SUPPORT = -2146892970;
        public const int SEC_E_NO_SPM = -2146893052;
        public const int SEC_E_NO_TGT_REPLY = -2146893004;
        public const int SEC_E_NOT_OWNER = -2146893050;
        public const int SEC_E_NOT_SUPPORTED = -2146893054;
        public const int SEC_E_OUT_OF_SEQUENCE = -2146893040;
        public const int SEC_E_PKINIT_CLIENT_FAILURE = -2146892972;
        public const int SEC_E_PKINIT_NAME_MISMATCH = -2146892995;
        public const int SEC_E_QOP_NOT_SUPPORTED = -2146893046;
        public const int SEC_E_REVOCATION_OFFLINE_C = -2146892973;
        public const int SEC_E_SECPKG_NOT_FOUND = -2146893051;
        public const int SEC_E_SECURITY_QOS_FAILED = -2146893006;
        public const int SEC_E_SHUTDOWN_IN_PROGRESS = -2146892993;
        public const int SEC_E_SMARTCARD_CERT_EXPIRED = -2146892971;
        public const int SEC_E_SMARTCARD_CERT_REVOKED = -2146892975;
        public const int SEC_E_SMARTCARD_LOGON_REQUIRED = -2146892994;
        public const int SEC_E_STRONG_CRYPTO_NOT_SUPPORTED = -2146892998;
        public const int SEC_E_TARGET_UNKNOWN = -2146893053;
        public const int SEC_E_TIME_SKEW = -2146893020;
        public const int SEC_E_TOO_MANY_PRINCIPALS = -2146892997;
        public const int SEC_E_UNFINISHED_CONTEXT_DELETED = -2146893005;
        public const int SEC_E_UNKNOWN_CREDENTIALS = -2146893043;
        public const int SEC_E_UNSUPPORTED_FUNCTION = -2146893054;
        public const int SEC_E_UNSUPPORTED_PREAUTH = -2146892989;
        public const int SEC_E_UNTRUSTED_ROOT = -2146893019;
        public const int SEC_E_WRONG_CREDENTIAL_HANDLE = -2146893002;
        public const int SEC_E_WRONG_PRINCIPAL = -2146893022;
        public const int SEC_I_COMPLETE_AND_CONTINUE = 0x90314;
        public const int SEC_I_COMPLETE_NEEDED = 0x90313;
        public const int SEC_I_CONTEXT_EXPIRED = 0x90317;
        public const int SEC_I_CONTINUE_NEEDED = 0x90312;
        public const int SEC_I_INCOMPLETE_CREDENTIALS = 0x90320;
        public const int SEC_I_LOCAL_LOGON = 0x90315;
        public const int SEC_I_NO_LSA_CONTEXT = 0x90323;
        public const int SEC_I_RENEGOTIATE = 0x90321;
    }
}

