namespace Win32.Constants
{
    using System;

    public static class WSA
    {
        public const int WSA_E_CANCELLED = 0x277f;
        public const int WSA_E_NO_MORE = 0x277e;
        public const int WSA_QOS_ADMISSION_FAILURE = 0x2b02;
        public const int WSA_QOS_BAD_OBJECT = 0x2b05;
        public const int WSA_QOS_BAD_STYLE = 0x2b04;
        public const int WSA_QOS_EFILTERCOUNT = 0x2b0d;
        public const int WSA_QOS_EFILTERSTYLE = 0x2b0b;
        public const int WSA_QOS_EFILTERTYPE = 0x2b0c;
        public const int WSA_QOS_EFLOWCOUNT = 0x2b0f;
        public const int WSA_QOS_EFLOWDESC = 0x2b12;
        public const int WSA_QOS_EFLOWSPEC = 0x2b09;
        public const int WSA_QOS_EOBJLENGTH = 0x2b0e;
        public const int WSA_QOS_EPOLICYOBJ = 0x2b11;
        public const int WSA_QOS_EPROVSPECBUF = 0x2b0a;
        public const int WSA_QOS_EPSFILTERSPEC = 0x2b14;
        public const int WSA_QOS_EPSFLOWSPEC = 0x2b13;
        public const int WSA_QOS_ESDMODEOBJ = 0x2b15;
        public const int WSA_QOS_ESERVICETYPE = 0x2b08;
        public const int WSA_QOS_ESHAPERATEOBJ = 0x2b16;
        public const int WSA_QOS_EUNKOWNPSOBJ = 0x2b10;
        public const int WSA_QOS_GENERIC_ERROR = 0x2b07;
        public const int WSA_QOS_NO_RECEIVERS = 0x2b00;
        public const int WSA_QOS_NO_SENDERS = 0x2aff;
        public const int WSA_QOS_POLICY_FAILURE = 0x2b03;
        public const int WSA_QOS_RECEIVERS = 0x2afd;
        public const int WSA_QOS_REQUEST_CONFIRMED = 0x2b01;
        public const int WSA_QOS_RESERVED_PETYPE = 0x2b17;
        public const int WSA_QOS_SENDERS = 0x2afe;
        public const int WSA_QOS_TRAFFIC_CTRL_ERROR = 0x2b06;
        public const int WSABASEERR = 0x2710;
        public const int WSAEACCES = 0x271d;
        public const int WSAEADDRINUSE = 0x2740;
        public const int WSAEADDRNOTAVAIL = 0x2741;
        public const int WSAEAFNOSUPPORT = 0x273f;
        public const int WSAEALREADY = 0x2735;
        public const int WSAEBADF = 0x2719;
        public const int WSAECANCELLED = 0x2777;
        public const int WSAECONNABORTED = 0x2745;
        public const int WSAECONNREFUSED = 0x274d;
        public const int WSAECONNRESET = 0x2746;
        public const int WSAEDESTADDRREQ = 0x2737;
        public const int WSAEDISCON = 0x2775;
        public const int WSAEDQUOT = 0x2755;
        public const int WSAEFAULT = 0x271e;
        public const int WSAEHOSTDOWN = 0x2750;
        public const int WSAEHOSTUNREACH = 0x2751;
        public const int WSAEINPROGRESS = 0x2734;
        public const int WSAEINTR = 0x2714;
        public const int WSAEINVAL = 0x2726;
        public const int WSAEINVALIDPROCTABLE = 0x2778;
        public const int WSAEINVALIDPROVIDER = 0x2779;
        public const int WSAEISCONN = 0x2748;
        public const int WSAELOOP = 0x274e;
        public const int WSAEMFILE = 0x2728;
        public const int WSAEMSGSIZE = 0x2738;
        public const int WSAENAMETOOInt32 = 0x274f;
        public const int WSAENETDOWN = 0x2742;
        public const int WSAENETRESET = 0x2744;
        public const int WSAENETUNREACH = 0x2743;
        public const int WSAENOBUFS = 0x2747;
        public const int WSAENOMORE = 0x2776;
        public const int WSAENOPROTOOPT = 0x273a;
        public const int WSAENOTCONN = 0x2749;
        public const int WSAENOTEMPTY = 0x2752;
        public const int WSAENOTSOCK = 0x2736;
        public const int WSAEOPNOTSUPP = 0x273d;
        public const int WSAEPFNOSUPPORT = 0x273e;
        public const int WSAEPROCLIM = 0x2753;
        public const int WSAEPROTONOSUPPORT = 0x273b;
        public const int WSAEPROTOTYPE = 0x2739;
        public const int WSAEPROVIDERFAILEDINIT = 0x277a;
        public const int WSAEREFUSED = 0x2780;
        public const int WSAEREMOTE = 0x2757;
        public const int WSAESHUTDOWN = 0x274a;
        public const int WSAESOCKTNOSUPPORT = 0x273c;
        public const int WSAESTALE = 0x2756;
        public const int WSAETIMEDOUT = 0x274c;
        public const int WSAETOOMANYREFS = 0x274b;
        public const int WSAEUSERS = 0x2754;
        public const int WSAEWOULDBLOCK = 0x2733;
        public const int WSAHOST_NOT_FOUND = 0x2af9;
        public const int WSANO_DATA = 0x2afc;
        public const int WSANO_RECOVERY = 0x2afb;
        public const int WSANOTINITIALISED = 0x276d;
        public const int WSASYSCALLFAILURE = 0x277b;
        public const int WSASYSNOTREADY = 0x276b;
        public const int WSATRY_AGAIN = 0x2afa;
        public const int WSAVERNOTSUPPORTED = 0x276c;
    }
}

